// Copyright 2012 The go-gl Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

package gl

// #include <GL/glew.h>
import "C"

// Constants
const (
	GL_2_BYTES                                    = C.GL_2_BYTES
	GL_2D                                         = C.GL_2D
	GL_3_BYTES                                    = C.GL_3_BYTES
	GL_3D_COLOR_TEXTURE                           = C.GL_3D_COLOR_TEXTURE
	GL_3D_COLOR                                   = C.GL_3D_COLOR
	GL_3D                                         = C.GL_3D
	GL_4_BYTES                                    = C.GL_4_BYTES
	GL_4D_COLOR_TEXTURE                           = C.GL_4D_COLOR_TEXTURE
	ACCUM_ALPHA_BITS                              = C.GL_ACCUM_ALPHA_BITS
	ACCUM_BLUE_BITS                               = C.GL_ACCUM_BLUE_BITS
	ACCUM_BUFFER_BIT                              = C.GL_ACCUM_BUFFER_BIT
	ACCUM_CLEAR_VALUE                             = C.GL_ACCUM_CLEAR_VALUE
	ACCUM_GREEN_BITS                              = C.GL_ACCUM_GREEN_BITS
	ACCUM_RED_BITS                                = C.GL_ACCUM_RED_BITS
	ACCUM                                         = C.GL_ACCUM
	ACTIVE_ATTRIBUTE_MAX_LENGTH                   = C.GL_ACTIVE_ATTRIBUTE_MAX_LENGTH
	ACTIVE_ATTRIBUTES                             = C.GL_ACTIVE_ATTRIBUTES
	ACTIVE_TEXTURE                                = C.GL_ACTIVE_TEXTURE
	ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH          = C.GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH
	ACTIVE_UNIFORM_BLOCKS                         = C.GL_ACTIVE_UNIFORM_BLOCKS
	ACTIVE_UNIFORM_MAX_LENGTH                     = C.GL_ACTIVE_UNIFORM_MAX_LENGTH
	ACTIVE_UNIFORMS                               = C.GL_ACTIVE_UNIFORMS
	ADD_SIGNED                                    = C.GL_ADD_SIGNED
	ADD                                           = C.GL_ADD
	ALIASED_LINE_WIDTH_RANGE                      = C.GL_ALIASED_LINE_WIDTH_RANGE
	ALIASED_POINT_SIZE_RANGE                      = C.GL_ALIASED_POINT_SIZE_RANGE
	ALL_ATTRIB_BITS                               = C.GL_ALL_ATTRIB_BITS
	ALPHA12                                       = C.GL_ALPHA12
	ALPHA16_SNORM                                 = C.GL_ALPHA16_SNORM
	ALPHA16                                       = C.GL_ALPHA16
	ALPHA4                                        = C.GL_ALPHA4
	ALPHA8_SNORM                                  = C.GL_ALPHA8_SNORM
	ALPHA8                                        = C.GL_ALPHA8
	ALPHA_BIAS                                    = C.GL_ALPHA_BIAS
	ALPHA_BITS                                    = C.GL_ALPHA_BITS
	ALPHA_INTEGER                                 = C.GL_ALPHA_INTEGER
	ALPHA_SCALE                                   = C.GL_ALPHA_SCALE
	ALPHA_SNORM                                   = C.GL_ALPHA_SNORM
	ALPHA_TEST_FUNC                               = C.GL_ALPHA_TEST_FUNC
	ALPHA_TEST_REF                                = C.GL_ALPHA_TEST_REF
	ALPHA_TEST                                    = C.GL_ALPHA_TEST
	ALPHA                                         = C.GL_ALPHA
	ALREADY_SIGNALED                              = C.GL_ALREADY_SIGNALED
	ALWAYS                                        = C.GL_ALWAYS
	AMBIENT_AND_DIFFUSE                           = C.GL_AMBIENT_AND_DIFFUSE
	AMBIENT                                       = C.GL_AMBIENT
	AND_INVERTED                                  = C.GL_AND_INVERTED
	AND_REVERSE                                   = C.GL_AND_REVERSE
	AND                                           = C.GL_AND
	ANY_SAMPLES_PASSED                            = C.GL_ANY_SAMPLES_PASSED
	ARRAY_BUFFER_BINDING                          = C.GL_ARRAY_BUFFER_BINDING
	ARRAY_BUFFER                                  = C.GL_ARRAY_BUFFER
	ATTACHED_SHADERS                              = C.GL_ATTACHED_SHADERS
	ATTRIB_STACK_DEPTH                            = C.GL_ATTRIB_STACK_DEPTH
	AUTO_NORMAL                                   = C.GL_AUTO_NORMAL
	AUX0                                          = C.GL_AUX0
	AUX1                                          = C.GL_AUX1
	AUX2                                          = C.GL_AUX2
	AUX3                                          = C.GL_AUX3
	AUX_BUFFERS                                   = C.GL_AUX_BUFFERS
	BACK_LEFT                                     = C.GL_BACK_LEFT
	BACK_RIGHT                                    = C.GL_BACK_RIGHT
	BACK                                          = C.GL_BACK
	BGRA_INTEGER                                  = C.GL_BGRA_INTEGER
	BGRA                                          = C.GL_BGRA
	BGR_INTEGER                                   = C.GL_BGR_INTEGER
	BGR                                           = C.GL_BGR
	BITMAP_TOKEN                                  = C.GL_BITMAP_TOKEN
	BITMAP                                        = C.GL_BITMAP
	BLEND_COLOR                                   = C.GL_BLEND_COLOR
	BLEND_DST_ALPHA                               = C.GL_BLEND_DST_ALPHA
	BLEND_DST_RGB                                 = C.GL_BLEND_DST_RGB
	BLEND_DST                                     = C.GL_BLEND_DST
	BLEND_EQUATION_ALPHA                          = C.GL_BLEND_EQUATION_ALPHA
	BLEND_EQUATION_RGB                            = C.GL_BLEND_EQUATION_RGB
	BLEND_EQUATION                                = C.GL_BLEND_EQUATION
	BLEND_SRC_ALPHA                               = C.GL_BLEND_SRC_ALPHA
	BLEND_SRC_RGB                                 = C.GL_BLEND_SRC_RGB
	BLEND_SRC                                     = C.GL_BLEND_SRC
	BLEND                                         = C.GL_BLEND
	BLUE_BIAS                                     = C.GL_BLUE_BIAS
	BLUE_BITS                                     = C.GL_BLUE_BITS
	BLUE_INTEGER                                  = C.GL_BLUE_INTEGER
	BLUE_SCALE                                    = C.GL_BLUE_SCALE
	BLUE                                          = C.GL_BLUE
	BOOL_VEC2                                     = C.GL_BOOL_VEC2
	BOOL_VEC3                                     = C.GL_BOOL_VEC3
	BOOL_VEC4                                     = C.GL_BOOL_VEC4
	BOOL                                          = C.GL_BOOL
	BUFFER_ACCESS_FLAGS                           = C.GL_BUFFER_ACCESS_FLAGS
	BUFFER_ACCESS                                 = C.GL_BUFFER_ACCESS
	BUFFER_MAP_LENGTH                             = C.GL_BUFFER_MAP_LENGTH
	BUFFER_MAP_OFFSET                             = C.GL_BUFFER_MAP_OFFSET
	BUFFER_MAPPED                                 = C.GL_BUFFER_MAPPED
	BUFFER_MAP_POINTER                            = C.GL_BUFFER_MAP_POINTER
	BUFFER_SIZE                                   = C.GL_BUFFER_SIZE
	BUFFER_USAGE                                  = C.GL_BUFFER_USAGE
	BYTE                                          = C.GL_BYTE
	C3F_V3F                                       = C.GL_C3F_V3F
	C4F_N3F_V3F                                   = C.GL_C4F_N3F_V3F
	C4UB_V2F                                      = C.GL_C4UB_V2F
	C4UB_V3F                                      = C.GL_C4UB_V3F
	CCW                                           = C.GL_CCW
	CLAMP_FRAGMENT_COLOR                          = C.GL_CLAMP_FRAGMENT_COLOR
	CLAMP_READ_COLOR                              = C.GL_CLAMP_READ_COLOR
	CLAMP_TO_BORDER                               = C.GL_CLAMP_TO_BORDER
	CLAMP_TO_EDGE                                 = C.GL_CLAMP_TO_EDGE
	CLAMP_VERTEX_COLOR                            = C.GL_CLAMP_VERTEX_COLOR
	CLAMP                                         = C.GL_CLAMP
	CLEAR                                         = C.GL_CLEAR
	CLIENT_ACTIVE_TEXTURE                         = C.GL_CLIENT_ACTIVE_TEXTURE
	CLIENT_ALL_ATTRIB_BITS                        = C.GL_CLIENT_ALL_ATTRIB_BITS
	CLIENT_ATTRIB_STACK_DEPTH                     = C.GL_CLIENT_ATTRIB_STACK_DEPTH
	CLIENT_PIXEL_STORE_BIT                        = C.GL_CLIENT_PIXEL_STORE_BIT
	CLIENT_VERTEX_ARRAY_BIT                       = C.GL_CLIENT_VERTEX_ARRAY_BIT
	CLIP_DISTANCE0                                = C.GL_CLIP_DISTANCE0
	CLIP_DISTANCE1                                = C.GL_CLIP_DISTANCE1
	CLIP_DISTANCE2                                = C.GL_CLIP_DISTANCE2
	CLIP_DISTANCE3                                = C.GL_CLIP_DISTANCE3
	CLIP_DISTANCE4                                = C.GL_CLIP_DISTANCE4
	CLIP_DISTANCE5                                = C.GL_CLIP_DISTANCE5
	CLIP_PLANE0                                   = C.GL_CLIP_PLANE0
	CLIP_PLANE1                                   = C.GL_CLIP_PLANE1
	CLIP_PLANE2                                   = C.GL_CLIP_PLANE2
	CLIP_PLANE3                                   = C.GL_CLIP_PLANE3
	CLIP_PLANE4                                   = C.GL_CLIP_PLANE4
	CLIP_PLANE5                                   = C.GL_CLIP_PLANE5
	COEFF                                         = C.GL_COEFF
	COLOR_ARRAY_BUFFER_BINDING                    = C.GL_COLOR_ARRAY_BUFFER_BINDING
	COLOR_ARRAY_POINTER                           = C.GL_COLOR_ARRAY_POINTER
	COLOR_ARRAY_SIZE                              = C.GL_COLOR_ARRAY_SIZE
	COLOR_ARRAY_STRIDE                            = C.GL_COLOR_ARRAY_STRIDE
	COLOR_ARRAY_TYPE                              = C.GL_COLOR_ARRAY_TYPE
	COLOR_ARRAY                                   = C.GL_COLOR_ARRAY
	COLOR_ATTACHMENT0                             = C.GL_COLOR_ATTACHMENT0
	COLOR_ATTACHMENT10                            = C.GL_COLOR_ATTACHMENT10
	COLOR_ATTACHMENT11                            = C.GL_COLOR_ATTACHMENT11
	COLOR_ATTACHMENT12                            = C.GL_COLOR_ATTACHMENT12
	COLOR_ATTACHMENT13                            = C.GL_COLOR_ATTACHMENT13
	COLOR_ATTACHMENT14                            = C.GL_COLOR_ATTACHMENT14
	COLOR_ATTACHMENT15                            = C.GL_COLOR_ATTACHMENT15
	COLOR_ATTACHMENT1                             = C.GL_COLOR_ATTACHMENT1
	COLOR_ATTACHMENT2                             = C.GL_COLOR_ATTACHMENT2
	COLOR_ATTACHMENT3                             = C.GL_COLOR_ATTACHMENT3
	COLOR_ATTACHMENT4                             = C.GL_COLOR_ATTACHMENT4
	COLOR_ATTACHMENT5                             = C.GL_COLOR_ATTACHMENT5
	COLOR_ATTACHMENT6                             = C.GL_COLOR_ATTACHMENT6
	COLOR_ATTACHMENT7                             = C.GL_COLOR_ATTACHMENT7
	COLOR_ATTACHMENT8                             = C.GL_COLOR_ATTACHMENT8
	COLOR_ATTACHMENT9                             = C.GL_COLOR_ATTACHMENT9
	COLOR_BUFFER_BIT                              = C.GL_COLOR_BUFFER_BIT
	COLOR_CLEAR_VALUE                             = C.GL_COLOR_CLEAR_VALUE
	COLOR_INDEXES                                 = C.GL_COLOR_INDEXES
	COLOR_INDEX                                   = C.GL_COLOR_INDEX
	COLOR_LOGIC_OP                                = C.GL_COLOR_LOGIC_OP
	COLOR_MATERIAL_FACE                           = C.GL_COLOR_MATERIAL_FACE
	COLOR_MATERIAL_PARAMETER                      = C.GL_COLOR_MATERIAL_PARAMETER
	COLOR_MATERIAL                                = C.GL_COLOR_MATERIAL
	COLOR_MATRIX_STACK_DEPTH                      = C.GL_COLOR_MATRIX_STACK_DEPTH
	COLOR_MATRIX                                  = C.GL_COLOR_MATRIX
	COLOR_SUM                                     = C.GL_COLOR_SUM
	COLOR_TABLE_ALPHA_SIZE                        = C.GL_COLOR_TABLE_ALPHA_SIZE
	COLOR_TABLE_BIAS                              = C.GL_COLOR_TABLE_BIAS
	COLOR_TABLE_BLUE_SIZE                         = C.GL_COLOR_TABLE_BLUE_SIZE
	COLOR_TABLE_FORMAT                            = C.GL_COLOR_TABLE_FORMAT
	COLOR_TABLE_GREEN_SIZE                        = C.GL_COLOR_TABLE_GREEN_SIZE
	COLOR_TABLE_INTENSITY_SIZE                    = C.GL_COLOR_TABLE_INTENSITY_SIZE
	COLOR_TABLE_LUMINANCE_SIZE                    = C.GL_COLOR_TABLE_LUMINANCE_SIZE
	COLOR_TABLE_RED_SIZE                          = C.GL_COLOR_TABLE_RED_SIZE
	COLOR_TABLE_SCALE                             = C.GL_COLOR_TABLE_SCALE
	COLOR_TABLE_WIDTH                             = C.GL_COLOR_TABLE_WIDTH
	COLOR_TABLE                                   = C.GL_COLOR_TABLE
	COLOR_WRITEMASK                               = C.GL_COLOR_WRITEMASK
	COLOR                                         = C.GL_COLOR
	COMBINE_ALPHA                                 = C.GL_COMBINE_ALPHA
	COMBINE_RGB                                   = C.GL_COMBINE_RGB
	COMBINE                                       = C.GL_COMBINE
	COMPARE_REF_TO_TEXTURE                        = C.GL_COMPARE_REF_TO_TEXTURE
	COMPARE_R_TO_TEXTURE                          = C.GL_COMPARE_R_TO_TEXTURE
	COMPILE_AND_EXECUTE                           = C.GL_COMPILE_AND_EXECUTE
	COMPILE_STATUS                                = C.GL_COMPILE_STATUS
	COMPILE                                       = C.GL_COMPILE
	COMPRESSED_ALPHA                              = C.GL_COMPRESSED_ALPHA
	COMPRESSED_INTENSITY                          = C.GL_COMPRESSED_INTENSITY
	COMPRESSED_LUMINANCE_ALPHA                    = C.GL_COMPRESSED_LUMINANCE_ALPHA
	COMPRESSED_LUMINANCE                          = C.GL_COMPRESSED_LUMINANCE
	COMPRESSED_RED_RGTC1                          = C.GL_COMPRESSED_RED_RGTC1
	COMPRESSED_RED                                = C.GL_COMPRESSED_RED
	COMPRESSED_RGBA                               = C.GL_COMPRESSED_RGBA
	COMPRESSED_RGBA_S3TC_DXT1_EXT                 = C.GL_COMPRESSED_RGBA_S3TC_DXT1_EXT
	COMPRESSED_RGBA_S3TC_DXT3_EXT                 = C.GL_COMPRESSED_RGBA_S3TC_DXT3_EXT
	COMPRESSED_RGBA_S3TC_DXT5_EXT                 = C.GL_COMPRESSED_RGBA_S3TC_DXT5_EXT
	COMPRESSED_RGB                                = C.GL_COMPRESSED_RGB
	COMPRESSED_RGB_S3TC_DXT1_EXT                  = C.GL_COMPRESSED_RGB_S3TC_DXT1_EXT
	COMPRESSED_RG_RGTC2                           = C.GL_COMPRESSED_RG_RGTC2
	COMPRESSED_RG                                 = C.GL_COMPRESSED_RG
	COMPRESSED_SIGNED_RED_RGTC1                   = C.GL_COMPRESSED_SIGNED_RED_RGTC1
	COMPRESSED_SIGNED_RG_RGTC2                    = C.GL_COMPRESSED_SIGNED_RG_RGTC2
	COMPRESSED_SLUMINANCE_ALPHA                   = C.GL_COMPRESSED_SLUMINANCE_ALPHA
	COMPRESSED_SLUMINANCE                         = C.GL_COMPRESSED_SLUMINANCE
	COMPRESSED_SRGB_ALPHA                         = C.GL_COMPRESSED_SRGB_ALPHA
	COMPRESSED_SRGB                               = C.GL_COMPRESSED_SRGB
	COMPRESSED_TEXTURE_FORMATS                    = C.GL_COMPRESSED_TEXTURE_FORMATS
	CONDITION_SATISFIED                           = C.GL_CONDITION_SATISFIED
	CONSTANT_ALPHA                                = C.GL_CONSTANT_ALPHA
	CONSTANT_ATTENUATION                          = C.GL_CONSTANT_ATTENUATION
	CONSTANT_BORDER                               = C.GL_CONSTANT_BORDER
	CONSTANT_COLOR                                = C.GL_CONSTANT_COLOR
	CONSTANT                                      = C.GL_CONSTANT
	CONTEXT_COMPATIBILITY_PROFILE_BIT             = C.GL_CONTEXT_COMPATIBILITY_PROFILE_BIT
	CONTEXT_CORE_PROFILE_BIT                      = C.GL_CONTEXT_CORE_PROFILE_BIT
	CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT           = C.GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT
	CONTEXT_FLAGS                                 = C.GL_CONTEXT_FLAGS
	CONTEXT_PROFILE_MASK                          = C.GL_CONTEXT_PROFILE_MASK
	CONVOLUTION_1D                                = C.GL_CONVOLUTION_1D
	CONVOLUTION_2D                                = C.GL_CONVOLUTION_2D
	CONVOLUTION_BORDER_COLOR                      = C.GL_CONVOLUTION_BORDER_COLOR
	CONVOLUTION_BORDER_MODE                       = C.GL_CONVOLUTION_BORDER_MODE
	CONVOLUTION_FILTER_BIAS                       = C.GL_CONVOLUTION_FILTER_BIAS
	CONVOLUTION_FILTER_SCALE                      = C.GL_CONVOLUTION_FILTER_SCALE
	CONVOLUTION_FORMAT                            = C.GL_CONVOLUTION_FORMAT
	CONVOLUTION_HEIGHT                            = C.GL_CONVOLUTION_HEIGHT
	CONVOLUTION_WIDTH                             = C.GL_CONVOLUTION_WIDTH
	COORD_REPLACE                                 = C.GL_COORD_REPLACE
	COPY_INVERTED                                 = C.GL_COPY_INVERTED
	COPY_PIXEL_TOKEN                              = C.GL_COPY_PIXEL_TOKEN
	COPY_READ_BUFFER                              = C.GL_COPY_READ_BUFFER
	COPY_WRITE_BUFFER                             = C.GL_COPY_WRITE_BUFFER
	COPY                                          = C.GL_COPY
	CULL_FACE_MODE                                = C.GL_CULL_FACE_MODE
	CULL_FACE                                     = C.GL_CULL_FACE
	CURRENT_BIT                                   = C.GL_CURRENT_BIT
	CURRENT_COLOR                                 = C.GL_CURRENT_COLOR
	CURRENT_FOG_COORDINATE                        = C.GL_CURRENT_FOG_COORDINATE
	CURRENT_FOG_COORD                             = C.GL_CURRENT_FOG_COORD
	CURRENT_INDEX                                 = C.GL_CURRENT_INDEX
	CURRENT_NORMAL                                = C.GL_CURRENT_NORMAL
	CURRENT_PROGRAM                               = C.GL_CURRENT_PROGRAM
	CURRENT_QUERY                                 = C.GL_CURRENT_QUERY
	CURRENT_RASTER_COLOR                          = C.GL_CURRENT_RASTER_COLOR
	CURRENT_RASTER_DISTANCE                       = C.GL_CURRENT_RASTER_DISTANCE
	CURRENT_RASTER_INDEX                          = C.GL_CURRENT_RASTER_INDEX
	CURRENT_RASTER_POSITION_VALID                 = C.GL_CURRENT_RASTER_POSITION_VALID
	CURRENT_RASTER_POSITION                       = C.GL_CURRENT_RASTER_POSITION
	CURRENT_RASTER_SECONDARY_COLOR                = C.GL_CURRENT_RASTER_SECONDARY_COLOR
	CURRENT_RASTER_TEXTURE_COORDS                 = C.GL_CURRENT_RASTER_TEXTURE_COORDS
	CURRENT_SECONDARY_COLOR                       = C.GL_CURRENT_SECONDARY_COLOR
	CURRENT_TEXTURE_COORDS                        = C.GL_CURRENT_TEXTURE_COORDS
	CURRENT_VERTEX_ATTRIB                         = C.GL_CURRENT_VERTEX_ATTRIB
	CW                                            = C.GL_CW
	DECAL                                         = C.GL_DECAL
	DECR_WRAP                                     = C.GL_DECR_WRAP
	DECR                                          = C.GL_DECR
	DEBUG_OUTPUT_SYNCHRONOUS                      = C.GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB
	DEBUG_NEXT_LOGGED_MESSAGE_LENGTH              = C.GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB
	DEBUG_CALLBACK_FUNCTION                       = C.GL_DEBUG_CALLBACK_FUNCTION_ARB
	DEBUG_CALLBACK_USER_PARAM                     = C.GL_DEBUG_CALLBACK_USER_PARAM_ARB
	DEBUG_SOURCE_API                              = C.GL_DEBUG_SOURCE_API_ARB
	DEBUG_SOURCE_WINDOW_SYSTEM                    = C.GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB
	DEBUG_SOURCE_SHADER_COMPILER                  = C.GL_DEBUG_SOURCE_SHADER_COMPILER_ARB
	DEBUG_SOURCE_THIRD_PARTY                      = C.GL_DEBUG_SOURCE_THIRD_PARTY_ARB
	DEBUG_SOURCE_APPLICATION                      = C.GL_DEBUG_SOURCE_APPLICATION_ARB
	DEBUG_SOURCE_OTHER                            = C.GL_DEBUG_SOURCE_OTHER_ARB
	DEBUG_TYPE_ERROR                              = C.GL_DEBUG_TYPE_ERROR_ARB
	DEBUG_TYPE_DEPRECATED_BEHAVIOR                = C.GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB
	DEBUG_TYPE_UNDEFINED_BEHAVIOR                 = C.GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB
	DEBUG_TYPE_PORTABILITY                        = C.GL_DEBUG_TYPE_PORTABILITY_ARB
	DEBUG_TYPE_PERFORMANCE                        = C.GL_DEBUG_TYPE_PERFORMANCE_ARB
	DEBUG_TYPE_OTHER                              = C.GL_DEBUG_TYPE_OTHER_ARB
	DEBUG_LOGGED_MESSAGES                         = C.GL_DEBUG_LOGGED_MESSAGES_ARB
	DEBUG_SEVERITY_HIGH                           = C.GL_DEBUG_SEVERITY_HIGH_ARB
	DEBUG_SEVERITY_MEDIUM                         = C.GL_DEBUG_SEVERITY_MEDIUM_ARB
	DEBUG_SEVERITY_LOW                            = C.GL_DEBUG_SEVERITY_LOW_ARB
	DELETE_STATUS                                 = C.GL_DELETE_STATUS
	DEPTH24_STENCIL8                              = C.GL_DEPTH24_STENCIL8
	DEPTH32F_STENCIL8                             = C.GL_DEPTH32F_STENCIL8
	DEPTH_ATTACHMENT                              = C.GL_DEPTH_ATTACHMENT
	DEPTH_BIAS                                    = C.GL_DEPTH_BIAS
	DEPTH_BITS                                    = C.GL_DEPTH_BITS
	DEPTH_BUFFER_BIT                              = C.GL_DEPTH_BUFFER_BIT
	DEPTH_BUFFER                                  = C.GL_DEPTH_BUFFER
	DEPTH_CLAMP                                   = C.GL_DEPTH_CLAMP
	DEPTH_CLEAR_VALUE                             = C.GL_DEPTH_CLEAR_VALUE
	DEPTH_COMPONENT16                             = C.GL_DEPTH_COMPONENT16
	DEPTH_COMPONENT24                             = C.GL_DEPTH_COMPONENT24
	DEPTH_COMPONENT32F                            = C.GL_DEPTH_COMPONENT32F
	DEPTH_COMPONENT32                             = C.GL_DEPTH_COMPONENT32
	DEPTH_COMPONENT                               = C.GL_DEPTH_COMPONENT
	DEPTH_FUNC                                    = C.GL_DEPTH_FUNC
	DEPTH_RANGE                                   = C.GL_DEPTH_RANGE
	DEPTH_SCALE                                   = C.GL_DEPTH_SCALE
	DEPTH_STENCIL_ATTACHMENT                      = C.GL_DEPTH_STENCIL_ATTACHMENT
	DEPTH_STENCIL                                 = C.GL_DEPTH_STENCIL
	DEPTH_TEST                                    = C.GL_DEPTH_TEST
	DEPTH_TEXTURE_MODE                            = C.GL_DEPTH_TEXTURE_MODE
	DEPTH_WRITEMASK                               = C.GL_DEPTH_WRITEMASK
	DEPTH                                         = C.GL_DEPTH
	DIFFUSE                                       = C.GL_DIFFUSE
	DITHER                                        = C.GL_DITHER
	DOMAIN                                        = C.GL_DOMAIN
	DONT_CARE                                     = C.GL_DONT_CARE
	DOT3_RGBA                                     = C.GL_DOT3_RGBA
	DOT3_RGB                                      = C.GL_DOT3_RGB
	DOUBLEBUFFER                                  = C.GL_DOUBLEBUFFER
	DOUBLE                                        = C.GL_DOUBLE
	DRAW_BUFFER0                                  = C.GL_DRAW_BUFFER0
	DRAW_BUFFER10                                 = C.GL_DRAW_BUFFER10
	DRAW_BUFFER11                                 = C.GL_DRAW_BUFFER11
	DRAW_BUFFER12                                 = C.GL_DRAW_BUFFER12
	DRAW_BUFFER13                                 = C.GL_DRAW_BUFFER13
	DRAW_BUFFER14                                 = C.GL_DRAW_BUFFER14
	DRAW_BUFFER15                                 = C.GL_DRAW_BUFFER15
	DRAW_BUFFER1                                  = C.GL_DRAW_BUFFER1
	DRAW_BUFFER2                                  = C.GL_DRAW_BUFFER2
	DRAW_BUFFER3                                  = C.GL_DRAW_BUFFER3
	DRAW_BUFFER4                                  = C.GL_DRAW_BUFFER4
	DRAW_BUFFER5                                  = C.GL_DRAW_BUFFER5
	DRAW_BUFFER6                                  = C.GL_DRAW_BUFFER6
	DRAW_BUFFER7                                  = C.GL_DRAW_BUFFER7
	DRAW_BUFFER8                                  = C.GL_DRAW_BUFFER8
	DRAW_BUFFER9                                  = C.GL_DRAW_BUFFER9
	DRAW_BUFFER                                   = C.GL_DRAW_BUFFER
	DRAW_FRAMEBUFFER_BINDING                      = C.GL_DRAW_FRAMEBUFFER_BINDING
	DRAW_FRAMEBUFFER                              = C.GL_DRAW_FRAMEBUFFER
	DRAW_PIXEL_TOKEN                              = C.GL_DRAW_PIXEL_TOKEN
	DST_ALPHA                                     = C.GL_DST_ALPHA
	DST_COLOR                                     = C.GL_DST_COLOR
	DYNAMIC_COPY                                  = C.GL_DYNAMIC_COPY
	DYNAMIC_DRAW                                  = C.GL_DYNAMIC_DRAW
	DYNAMIC_READ                                  = C.GL_DYNAMIC_READ
	EDGE_FLAG_ARRAY_BUFFER_BINDING                = C.GL_EDGE_FLAG_ARRAY_BUFFER_BINDING
	EDGE_FLAG_ARRAY_POINTER                       = C.GL_EDGE_FLAG_ARRAY_POINTER
	EDGE_FLAG_ARRAY_STRIDE                        = C.GL_EDGE_FLAG_ARRAY_STRIDE
	EDGE_FLAG_ARRAY                               = C.GL_EDGE_FLAG_ARRAY
	EDGE_FLAG                                     = C.GL_EDGE_FLAG
	ELEMENT_ARRAY_BUFFER_BINDING                  = C.GL_ELEMENT_ARRAY_BUFFER_BINDING
	ELEMENT_ARRAY_BUFFER                          = C.GL_ELEMENT_ARRAY_BUFFER
	EMISSION                                      = C.GL_EMISSION
	ENABLE_BIT                                    = C.GL_ENABLE_BIT
	EQUAL                                         = C.GL_EQUAL
	EQUIV                                         = C.GL_EQUIV
	EVAL_BIT                                      = C.GL_EVAL_BIT
	EXP2                                          = C.GL_EXP2
	EXP                                           = C.GL_EXP
	EXTENSIONS                                    = C.GL_EXTENSIONS
	EYE_LINEAR                                    = C.GL_EYE_LINEAR
	EYE_PLANE                                     = C.GL_EYE_PLANE
	FALSE                                         = C.GL_FALSE
	FASTEST                                       = C.GL_FASTEST
	FEEDBACK_BUFFER_POINTER                       = C.GL_FEEDBACK_BUFFER_POINTER
	FEEDBACK_BUFFER_SIZE                          = C.GL_FEEDBACK_BUFFER_SIZE
	FEEDBACK_BUFFER_TYPE                          = C.GL_FEEDBACK_BUFFER_TYPE
	FEEDBACK                                      = C.GL_FEEDBACK
	FILL                                          = C.GL_FILL
	FIRST_VERTEX_CONVENTION                       = C.GL_FIRST_VERTEX_CONVENTION
	FIXED_ONLY                                    = C.GL_FIXED_ONLY
	FLAT                                          = C.GL_FLAT
	FLOAT_32_UNSIGNED_INT_24_8_REV                = C.GL_FLOAT_32_UNSIGNED_INT_24_8_REV
	FLOAT_MAT2x3                                  = C.GL_FLOAT_MAT2x3
	FLOAT_MAT2x4                                  = C.GL_FLOAT_MAT2x4
	FLOAT_MAT2                                    = C.GL_FLOAT_MAT2
	FLOAT_MAT3x2                                  = C.GL_FLOAT_MAT3x2
	FLOAT_MAT3x4                                  = C.GL_FLOAT_MAT3x4
	FLOAT_MAT3                                    = C.GL_FLOAT_MAT3
	FLOAT_MAT4x2                                  = C.GL_FLOAT_MAT4x2
	FLOAT_MAT4x3                                  = C.GL_FLOAT_MAT4x3
	FLOAT_MAT4                                    = C.GL_FLOAT_MAT4
	FLOAT_VEC2                                    = C.GL_FLOAT_VEC2
	FLOAT_VEC3                                    = C.GL_FLOAT_VEC3
	FLOAT_VEC4                                    = C.GL_FLOAT_VEC4
	FLOAT                                         = C.GL_FLOAT
	FOG_BIT                                       = C.GL_FOG_BIT
	FOG_COLOR                                     = C.GL_FOG_COLOR
	FOG_COORD_ARRAY_BUFFER_BINDING                = C.GL_FOG_COORD_ARRAY_BUFFER_BINDING
	FOG_COORD_ARRAY_POINTER                       = C.GL_FOG_COORD_ARRAY_POINTER
	FOG_COORD_ARRAY_STRIDE                        = C.GL_FOG_COORD_ARRAY_STRIDE
	FOG_COORD_ARRAY_TYPE                          = C.GL_FOG_COORD_ARRAY_TYPE
	FOG_COORD_ARRAY                               = C.GL_FOG_COORD_ARRAY
	FOG_COORDINATE_ARRAY_BUFFER_BINDING           = C.GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING
	FOG_COORDINATE_ARRAY_POINTER                  = C.GL_FOG_COORDINATE_ARRAY_POINTER
	FOG_COORDINATE_ARRAY_STRIDE                   = C.GL_FOG_COORDINATE_ARRAY_STRIDE
	FOG_COORDINATE_ARRAY_TYPE                     = C.GL_FOG_COORDINATE_ARRAY_TYPE
	FOG_COORDINATE_ARRAY                          = C.GL_FOG_COORDINATE_ARRAY
	FOG_COORDINATE_SOURCE                         = C.GL_FOG_COORDINATE_SOURCE
	FOG_COORDINATE                                = C.GL_FOG_COORDINATE
	FOG_COORD_SRC                                 = C.GL_FOG_COORD_SRC
	FOG_COORD                                     = C.GL_FOG_COORD
	FOG_DENSITY                                   = C.GL_FOG_DENSITY
	FOG_END                                       = C.GL_FOG_END
	FOG_HINT                                      = C.GL_FOG_HINT
	FOG_INDEX                                     = C.GL_FOG_INDEX
	FOG_MODE                                      = C.GL_FOG_MODE
	FOG_START                                     = C.GL_FOG_START
	FOG                                           = C.GL_FOG
	FRAGMENT_DEPTH                                = C.GL_FRAGMENT_DEPTH
	FRAGMENT_SHADER_DERIVATIVE_HINT               = C.GL_FRAGMENT_SHADER_DERIVATIVE_HINT
	FRAGMENT_SHADER                               = C.GL_FRAGMENT_SHADER
	FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE             = C.GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE
	FRAMEBUFFER_ATTACHMENT_BLUE_SIZE              = C.GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE
	FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING         = C.GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING
	FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE         = C.GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE
	FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE             = C.GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE
	FRAMEBUFFER_ATTACHMENT_GREEN_SIZE             = C.GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE
	FRAMEBUFFER_ATTACHMENT_LAYERED                = C.GL_FRAMEBUFFER_ATTACHMENT_LAYERED
	FRAMEBUFFER_ATTACHMENT_OBJECT_NAME            = C.GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME
	FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE            = C.GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE
	FRAMEBUFFER_ATTACHMENT_RED_SIZE               = C.GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE
	FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE           = C.GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE
	FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE  = C.GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE
	FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER          = C.GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER
	FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL          = C.GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL
	FRAMEBUFFER_BINDING                           = C.GL_FRAMEBUFFER_BINDING
	FRAMEBUFFER_COMPLETE                          = C.GL_FRAMEBUFFER_COMPLETE
	FRAMEBUFFER_DEFAULT                           = C.GL_FRAMEBUFFER_DEFAULT
	FRAMEBUFFER_INCOMPLETE_ATTACHMENT             = C.GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT
	FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER            = C.GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER
	FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS          = C.GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS
	FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT     = C.GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT
	FRAMEBUFFER_INCOMPLETE_MULTISAMPLE            = C.GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE
	FRAMEBUFFER_INCOMPLETE_READ_BUFFER            = C.GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER
	FRAMEBUFFER_SRGB                              = C.GL_FRAMEBUFFER_SRGB
	FRAMEBUFFER_UNDEFINED                         = C.GL_FRAMEBUFFER_UNDEFINED
	FRAMEBUFFER_UNSUPPORTED                       = C.GL_FRAMEBUFFER_UNSUPPORTED
	FRAMEBUFFER                                   = C.GL_FRAMEBUFFER
	FRONT_AND_BACK                                = C.GL_FRONT_AND_BACK
	FRONT_FACE                                    = C.GL_FRONT_FACE
	FRONT_LEFT                                    = C.GL_FRONT_LEFT
	FRONT_RIGHT                                   = C.GL_FRONT_RIGHT
	FRONT                                         = C.GL_FRONT
	FUNC_ADD                                      = C.GL_FUNC_ADD
	FUNC_REVERSE_SUBTRACT                         = C.GL_FUNC_REVERSE_SUBTRACT
	FUNC_SUBTRACT                                 = C.GL_FUNC_SUBTRACT
	GENERATE_MIPMAP_HINT                          = C.GL_GENERATE_MIPMAP_HINT
	GENERATE_MIPMAP                               = C.GL_GENERATE_MIPMAP
	GEOMETRY_INPUT_TYPE                           = C.GL_GEOMETRY_INPUT_TYPE
	GEOMETRY_OUTPUT_TYPE                          = C.GL_GEOMETRY_OUTPUT_TYPE
	GEOMETRY_SHADER                               = C.GL_GEOMETRY_SHADER
	GEOMETRY_VERTICES_OUT                         = C.GL_GEOMETRY_VERTICES_OUT
	GEQUAL                                        = C.GL_GEQUAL
	GREATER                                       = C.GL_GREATER
	GREEN_BIAS                                    = C.GL_GREEN_BIAS
	GREEN_BITS                                    = C.GL_GREEN_BITS
	GREEN_INTEGER                                 = C.GL_GREEN_INTEGER
	GREEN_SCALE                                   = C.GL_GREEN_SCALE
	GREEN                                         = C.GL_GREEN
	HALF_FLOAT                                    = C.GL_HALF_FLOAT
	HINT_BIT                                      = C.GL_HINT_BIT
	HISTOGRAM_ALPHA_SIZE                          = C.GL_HISTOGRAM_ALPHA_SIZE
	HISTOGRAM_BLUE_SIZE                           = C.GL_HISTOGRAM_BLUE_SIZE
	HISTOGRAM_FORMAT                              = C.GL_HISTOGRAM_FORMAT
	HISTOGRAM_GREEN_SIZE                          = C.GL_HISTOGRAM_GREEN_SIZE
	HISTOGRAM_LUMINANCE_SIZE                      = C.GL_HISTOGRAM_LUMINANCE_SIZE
	HISTOGRAM_RED_SIZE                            = C.GL_HISTOGRAM_RED_SIZE
	HISTOGRAM_SINK                                = C.GL_HISTOGRAM_SINK
	HISTOGRAM_WIDTH                               = C.GL_HISTOGRAM_WIDTH
	HISTOGRAM                                     = C.GL_HISTOGRAM
	INCR_WRAP                                     = C.GL_INCR_WRAP
	INCR                                          = C.GL_INCR
	INDEX_ARRAY_BUFFER_BINDING                    = C.GL_INDEX_ARRAY_BUFFER_BINDING
	INDEX_ARRAY_POINTER                           = C.GL_INDEX_ARRAY_POINTER
	INDEX_ARRAY_STRIDE                            = C.GL_INDEX_ARRAY_STRIDE
	INDEX_ARRAY_TYPE                              = C.GL_INDEX_ARRAY_TYPE
	INDEX_ARRAY                                   = C.GL_INDEX_ARRAY
	INDEX_BITS                                    = C.GL_INDEX_BITS
	INDEX_CLEAR_VALUE                             = C.GL_INDEX_CLEAR_VALUE
	INDEX_LOGIC_OP                                = C.GL_INDEX_LOGIC_OP
	INDEX_MODE                                    = C.GL_INDEX_MODE
	INDEX_OFFSET                                  = C.GL_INDEX_OFFSET
	INDEX_SHIFT                                   = C.GL_INDEX_SHIFT
	INDEX_WRITEMASK                               = C.GL_INDEX_WRITEMASK
	INDEX                                         = C.GL_INDEX
	INFO_LOG_LENGTH                               = C.GL_INFO_LOG_LENGTH
	INTENSITY12                                   = C.GL_INTENSITY12
	INTENSITY16_SNORM                             = C.GL_INTENSITY16_SNORM
	INTENSITY16                                   = C.GL_INTENSITY16
	INTENSITY4                                    = C.GL_INTENSITY4
	INTENSITY8_SNORM                              = C.GL_INTENSITY8_SNORM
	INTENSITY8                                    = C.GL_INTENSITY8
	INTENSITY_SNORM                               = C.GL_INTENSITY_SNORM
	INTENSITY                                     = C.GL_INTENSITY
	INTERLEAVED_ATTRIBS                           = C.GL_INTERLEAVED_ATTRIBS
	INTERPOLATE                                   = C.GL_INTERPOLATE
	INT_SAMPLER_1D_ARRAY                          = C.GL_INT_SAMPLER_1D_ARRAY
	INT_SAMPLER_1D                                = C.GL_INT_SAMPLER_1D
	INT_SAMPLER_2D_ARRAY                          = C.GL_INT_SAMPLER_2D_ARRAY
	INT_SAMPLER_2D_MULTISAMPLE_ARRAY              = C.GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY
	INT_SAMPLER_2D_MULTISAMPLE                    = C.GL_INT_SAMPLER_2D_MULTISAMPLE
	INT_SAMPLER_2D_RECT                           = C.GL_INT_SAMPLER_2D_RECT
	INT_SAMPLER_2D                                = C.GL_INT_SAMPLER_2D
	INT_SAMPLER_3D                                = C.GL_INT_SAMPLER_3D
	INT_SAMPLER_BUFFER                            = C.GL_INT_SAMPLER_BUFFER
	INT_SAMPLER_CUBE_MAP_ARRAY                    = C.GL_INT_SAMPLER_CUBE_MAP_ARRAY
	INT_SAMPLER_CUBE                              = C.GL_INT_SAMPLER_CUBE
	INT_VEC2                                      = C.GL_INT_VEC2
	INT_VEC3                                      = C.GL_INT_VEC3
	INT_VEC4                                      = C.GL_INT_VEC4
	INT                                           = C.GL_INT
	INVALID_ENUM                                  = C.GL_INVALID_ENUM
	INVALID_FRAMEBUFFER_OPERATION                 = C.GL_INVALID_FRAMEBUFFER_OPERATION
	INVALID_INDEX                                 = C.GL_INVALID_INDEX
	INVALID_OPERATION                             = C.GL_INVALID_OPERATION
	INVALID_VALUE                                 = C.GL_INVALID_VALUE
	INVERTED_SCREEN_W_REND                        = C.GL_INVERTED_SCREEN_W_REND
	INVERT                                        = C.GL_INVERT
	KEEP                                          = C.GL_KEEP
	LAST_VERTEX_CONVENTION                        = C.GL_LAST_VERTEX_CONVENTION
	LEFT                                          = C.GL_LEFT
	LEQUAL                                        = C.GL_LEQUAL
	LESS                                          = C.GL_LESS
	LIGHT0                                        = C.GL_LIGHT0
	LIGHT1                                        = C.GL_LIGHT1
	LIGHT2                                        = C.GL_LIGHT2
	LIGHT3                                        = C.GL_LIGHT3
	LIGHT4                                        = C.GL_LIGHT4
	LIGHT5                                        = C.GL_LIGHT5
	LIGHT6                                        = C.GL_LIGHT6
	LIGHT7                                        = C.GL_LIGHT7
	LIGHTING_BIT                                  = C.GL_LIGHTING_BIT
	LIGHTING                                      = C.GL_LIGHTING
	LIGHT_MODEL_AMBIENT                           = C.GL_LIGHT_MODEL_AMBIENT
	LIGHT_MODEL_COLOR_CONTROL                     = C.GL_LIGHT_MODEL_COLOR_CONTROL
	LIGHT_MODEL_LOCAL_VIEWER                      = C.GL_LIGHT_MODEL_LOCAL_VIEWER
	LIGHT_MODEL_TWO_SIDE                          = C.GL_LIGHT_MODEL_TWO_SIDE
	LINEAR_ATTENUATION                            = C.GL_LINEAR_ATTENUATION
	LINEAR_MIPMAP_LINEAR                          = C.GL_LINEAR_MIPMAP_LINEAR
	LINEAR_MIPMAP_NEAREST                         = C.GL_LINEAR_MIPMAP_NEAREST
	LINEAR                                        = C.GL_LINEAR
	LINE_BIT                                      = C.GL_LINE_BIT
	LINE_LOOP                                     = C.GL_LINE_LOOP
	LINE_RESET_TOKEN                              = C.GL_LINE_RESET_TOKEN
	LINES_ADJACENCY                               = C.GL_LINES_ADJACENCY
	LINE_SMOOTH_HINT                              = C.GL_LINE_SMOOTH_HINT
	LINE_SMOOTH                                   = C.GL_LINE_SMOOTH
	LINE_STIPPLE_PATTERN                          = C.GL_LINE_STIPPLE_PATTERN
	LINE_STIPPLE_REPEAT                           = C.GL_LINE_STIPPLE_REPEAT
	LINE_STIPPLE                                  = C.GL_LINE_STIPPLE
	LINE_STRIP_ADJACENCY                          = C.GL_LINE_STRIP_ADJACENCY
	LINE_STRIP                                    = C.GL_LINE_STRIP
	LINES                                         = C.GL_LINES
	LINE_TOKEN                                    = C.GL_LINE_TOKEN
	LINE_WIDTH_GRANULARITY                        = C.GL_LINE_WIDTH_GRANULARITY
	LINE_WIDTH_RANGE                              = C.GL_LINE_WIDTH_RANGE
	LINE_WIDTH                                    = C.GL_LINE_WIDTH
	LINE                                          = C.GL_LINE
	LINK_STATUS                                   = C.GL_LINK_STATUS
	LIST_BASE                                     = C.GL_LIST_BASE
	LIST_BIT                                      = C.GL_LIST_BIT
	LIST_INDEX                                    = C.GL_LIST_INDEX
	LIST_MODE                                     = C.GL_LIST_MODE
	LOAD                                          = C.GL_LOAD
	LOGIC_OP_MODE                                 = C.GL_LOGIC_OP_MODE
	LOGIC_OP                                      = C.GL_LOGIC_OP
	LOWER_LEFT                                    = C.GL_LOWER_LEFT
	LUMINANCE12_ALPHA12                           = C.GL_LUMINANCE12_ALPHA12
	LUMINANCE12_ALPHA4                            = C.GL_LUMINANCE12_ALPHA4
	LUMINANCE12                                   = C.GL_LUMINANCE12
	LUMINANCE16_ALPHA16_SNORM                     = C.GL_LUMINANCE16_ALPHA16_SNORM
	LUMINANCE16_ALPHA16                           = C.GL_LUMINANCE16_ALPHA16
	LUMINANCE16_SNORM                             = C.GL_LUMINANCE16_SNORM
	LUMINANCE16                                   = C.GL_LUMINANCE16
	LUMINANCE4_ALPHA4                             = C.GL_LUMINANCE4_ALPHA4
	LUMINANCE4                                    = C.GL_LUMINANCE4
	LUMINANCE6_ALPHA2                             = C.GL_LUMINANCE6_ALPHA2
	LUMINANCE8_ALPHA8_SNORM                       = C.GL_LUMINANCE8_ALPHA8_SNORM
	LUMINANCE8_ALPHA8                             = C.GL_LUMINANCE8_ALPHA8
	LUMINANCE8_SNORM                              = C.GL_LUMINANCE8_SNORM
	LUMINANCE8                                    = C.GL_LUMINANCE8
	LUMINANCE_ALPHA_SNORM                         = C.GL_LUMINANCE_ALPHA_SNORM
	LUMINANCE_ALPHA                               = C.GL_LUMINANCE_ALPHA
	LUMINANCE_SNORM                               = C.GL_LUMINANCE_SNORM
	LUMINANCE                                     = C.GL_LUMINANCE
	MAJOR_VERSION                                 = C.GL_MAJOR_VERSION
	MAP1_COLOR_4                                  = C.GL_MAP1_COLOR_4
	MAP1_GRID_DOMAIN                              = C.GL_MAP1_GRID_DOMAIN
	MAP1_GRID_SEGMENTS                            = C.GL_MAP1_GRID_SEGMENTS
	MAP1_INDEX                                    = C.GL_MAP1_INDEX
	MAP1_NORMAL                                   = C.GL_MAP1_NORMAL
	MAP1_TEXTURE_COORD_1                          = C.GL_MAP1_TEXTURE_COORD_1
	MAP1_TEXTURE_COORD_2                          = C.GL_MAP1_TEXTURE_COORD_2
	MAP1_TEXTURE_COORD_3                          = C.GL_MAP1_TEXTURE_COORD_3
	MAP1_TEXTURE_COORD_4                          = C.GL_MAP1_TEXTURE_COORD_4
	MAP1_VERTEX_3                                 = C.GL_MAP1_VERTEX_3
	MAP1_VERTEX_4                                 = C.GL_MAP1_VERTEX_4
	MAP2_COLOR_4                                  = C.GL_MAP2_COLOR_4
	MAP2_GRID_DOMAIN                              = C.GL_MAP2_GRID_DOMAIN
	MAP2_GRID_SEGMENTS                            = C.GL_MAP2_GRID_SEGMENTS
	MAP2_INDEX                                    = C.GL_MAP2_INDEX
	MAP2_NORMAL                                   = C.GL_MAP2_NORMAL
	MAP2_TEXTURE_COORD_1                          = C.GL_MAP2_TEXTURE_COORD_1
	MAP2_TEXTURE_COORD_2                          = C.GL_MAP2_TEXTURE_COORD_2
	MAP2_TEXTURE_COORD_3                          = C.GL_MAP2_TEXTURE_COORD_3
	MAP2_TEXTURE_COORD_4                          = C.GL_MAP2_TEXTURE_COORD_4
	MAP2_VERTEX_3                                 = C.GL_MAP2_VERTEX_3
	MAP2_VERTEX_4                                 = C.GL_MAP2_VERTEX_4
	MAP_COLOR                                     = C.GL_MAP_COLOR
	MAP_FLUSH_EXPLICIT_BIT                        = C.GL_MAP_FLUSH_EXPLICIT_BIT
	MAP_INVALIDATE_BUFFER_BIT                     = C.GL_MAP_INVALIDATE_BUFFER_BIT
	MAP_INVALIDATE_RANGE_BIT                      = C.GL_MAP_INVALIDATE_RANGE_BIT
	MAP_READ_BIT                                  = C.GL_MAP_READ_BIT
	MAP_STENCIL                                   = C.GL_MAP_STENCIL
	MAP_UNSYNCHRONIZED_BIT                        = C.GL_MAP_UNSYNCHRONIZED_BIT
	MAP_WRITE_BIT                                 = C.GL_MAP_WRITE_BIT
	MATRIX_MODE                                   = C.GL_MATRIX_MODE
	MAX_3D_TEXTURE_SIZE                           = C.GL_MAX_3D_TEXTURE_SIZE
	MAX_ARRAY_TEXTURE_LAYERS                      = C.GL_MAX_ARRAY_TEXTURE_LAYERS
	MAX_ATTRIB_STACK_DEPTH                        = C.GL_MAX_ATTRIB_STACK_DEPTH
	MAX_CLIENT_ATTRIB_STACK_DEPTH                 = C.GL_MAX_CLIENT_ATTRIB_STACK_DEPTH
	MAX_CLIP_DISTANCES                            = C.GL_MAX_CLIP_DISTANCES
	MAX_CLIP_PLANES                               = C.GL_MAX_CLIP_PLANES
	MAX_COLOR_ATTACHMENTS                         = C.GL_MAX_COLOR_ATTACHMENTS
	MAX_COLOR_MATRIX_STACK_DEPTH                  = C.GL_MAX_COLOR_MATRIX_STACK_DEPTH
	MAX_COLOR_TEXTURE_SAMPLES                     = C.GL_MAX_COLOR_TEXTURE_SAMPLES
	MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS      = C.GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS
	MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS      = C.GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS
	MAX_COMBINED_TEXTURE_IMAGE_UNITS              = C.GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS
	MAX_COMBINED_UNIFORM_BLOCKS                   = C.GL_MAX_COMBINED_UNIFORM_BLOCKS
	MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS        = C.GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS
	MAX_CONVOLUTION_HEIGHT                        = C.GL_MAX_CONVOLUTION_HEIGHT
	MAX_CONVOLUTION_WIDTH                         = C.GL_MAX_CONVOLUTION_WIDTH
	MAX_CUBE_MAP_TEXTURE_SIZE                     = C.GL_MAX_CUBE_MAP_TEXTURE_SIZE
	MAX_DEBUG_LOGGED_MESSAGES                     = C.GL_MAX_DEBUG_LOGGED_MESSAGES_ARB
	MAX_DEBUG_MESSAGE_LENGTH                      = C.GL_MAX_DEBUG_MESSAGE_LENGTH_ARB
	MAX_DEPTH_TEXTURE_SAMPLES                     = C.GL_MAX_DEPTH_TEXTURE_SAMPLES
	MAX_DRAW_BUFFERS                              = C.GL_MAX_DRAW_BUFFERS
	MAX_ELEMENTS_INDICES                          = C.GL_MAX_ELEMENTS_INDICES
	MAX_ELEMENTS_VERTICES                         = C.GL_MAX_ELEMENTS_VERTICES
	MAX_EVAL_ORDER                                = C.GL_MAX_EVAL_ORDER
	MAX_FRAGMENT_INPUT_COMPONENTS                 = C.GL_MAX_FRAGMENT_INPUT_COMPONENTS
	MAX_FRAGMENT_UNIFORM_BLOCKS                   = C.GL_MAX_FRAGMENT_UNIFORM_BLOCKS
	MAX_FRAGMENT_UNIFORM_COMPONENTS               = C.GL_MAX_FRAGMENT_UNIFORM_COMPONENTS
	MAX_GEOMETRY_INPUT_COMPONENTS                 = C.GL_MAX_GEOMETRY_INPUT_COMPONENTS
	MAX_GEOMETRY_OUTPUT_COMPONENTS                = C.GL_MAX_GEOMETRY_OUTPUT_COMPONENTS
	MAX_GEOMETRY_OUTPUT_VERTICES                  = C.GL_MAX_GEOMETRY_OUTPUT_VERTICES
	MAX_GEOMETRY_TEXTURE_IMAGE_UNITS              = C.GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS
	MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS          = C.GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS
	MAX_GEOMETRY_UNIFORM_BLOCKS                   = C.GL_MAX_GEOMETRY_UNIFORM_BLOCKS
	MAX_GEOMETRY_UNIFORM_COMPONENTS               = C.GL_MAX_GEOMETRY_UNIFORM_COMPONENTS
	MAX_INTEGER_SAMPLES                           = C.GL_MAX_INTEGER_SAMPLES
	MAX_LIGHTS                                    = C.GL_MAX_LIGHTS
	MAX_LIST_NESTING                              = C.GL_MAX_LIST_NESTING
	MAX_MODELVIEW_STACK_DEPTH                     = C.GL_MAX_MODELVIEW_STACK_DEPTH
	MAX_NAME_STACK_DEPTH                          = C.GL_MAX_NAME_STACK_DEPTH
	MAX_PIXEL_MAP_TABLE                           = C.GL_MAX_PIXEL_MAP_TABLE
	MAX_PROGRAM_TEXEL_OFFSET                      = C.GL_MAX_PROGRAM_TEXEL_OFFSET
	MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS         = C.GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS
	MAX_PROGRAM_TEXTURE_GATHER_OFFSET             = C.GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET
	MAX_PROJECTION_STACK_DEPTH                    = C.GL_MAX_PROJECTION_STACK_DEPTH
	MAX_RECTANGLE_TEXTURE_SIZE                    = C.GL_MAX_RECTANGLE_TEXTURE_SIZE
	MAX_RENDERBUFFER_SIZE                         = C.GL_MAX_RENDERBUFFER_SIZE
	MAX_SAMPLE_MASK_WORDS                         = C.GL_MAX_SAMPLE_MASK_WORDS
	MAX_SAMPLES                                   = C.GL_MAX_SAMPLES
	MAX_SERVER_WAIT_TIMEOUT                       = C.GL_MAX_SERVER_WAIT_TIMEOUT
	MAX_TEXTURE_BUFFER_SIZE                       = C.GL_MAX_TEXTURE_BUFFER_SIZE
	MAX_TEXTURE_COORDS                            = C.GL_MAX_TEXTURE_COORDS
	MAX_TEXTURE_IMAGE_UNITS                       = C.GL_MAX_TEXTURE_IMAGE_UNITS
	MAX_TEXTURE_LOD_BIAS                          = C.GL_MAX_TEXTURE_LOD_BIAS
	MAX_TEXTURE_SIZE                              = C.GL_MAX_TEXTURE_SIZE
	MAX_TEXTURE_STACK_DEPTH                       = C.GL_MAX_TEXTURE_STACK_DEPTH
	MAX_TEXTURE_UNITS                             = C.GL_MAX_TEXTURE_UNITS
	MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS = C.GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS
	MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS       = C.GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS
	MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS    = C.GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS
	MAX_UNIFORM_BLOCK_SIZE                        = C.GL_MAX_UNIFORM_BLOCK_SIZE
	MAX_UNIFORM_BUFFER_BINDINGS                   = C.GL_MAX_UNIFORM_BUFFER_BINDINGS
	MAX_VARYING_COMPONENTS                        = C.GL_MAX_VARYING_COMPONENTS
	MAX_VARYING_FLOATS                            = C.GL_MAX_VARYING_FLOATS
	MAX_VERTEX_ATTRIBS                            = C.GL_MAX_VERTEX_ATTRIBS
	MAX_VERTEX_OUTPUT_COMPONENTS                  = C.GL_MAX_VERTEX_OUTPUT_COMPONENTS
	MAX_VERTEX_TEXTURE_IMAGE_UNITS                = C.GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS
	MAX_VERTEX_UNIFORM_BLOCKS                     = C.GL_MAX_VERTEX_UNIFORM_BLOCKS
	MAX_VERTEX_UNIFORM_COMPONENTS                 = C.GL_MAX_VERTEX_UNIFORM_COMPONENTS
	MAX_VIEWPORT_DIMS                             = C.GL_MAX_VIEWPORT_DIMS
	MAX                                           = C.GL_MAX
	MINMAX_FORMAT                                 = C.GL_MINMAX_FORMAT
	MINMAX_SINK                                   = C.GL_MINMAX_SINK
	MINMAX                                        = C.GL_MINMAX
	MINOR_VERSION                                 = C.GL_MINOR_VERSION
	MIN_PROGRAM_TEXEL_OFFSET                      = C.GL_MIN_PROGRAM_TEXEL_OFFSET
	MIN_PROGRAM_TEXTURE_GATHER_OFFSET             = C.GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET
	MIN_SAMPLE_SHADING_VALUE                      = C.GL_MIN_SAMPLE_SHADING_VALUE
	MIN                                           = C.GL_MIN
	MIRRORED_REPEAT                               = C.GL_MIRRORED_REPEAT
	MODELVIEW_MATRIX                              = C.GL_MODELVIEW_MATRIX
	MODELVIEW_STACK_DEPTH                         = C.GL_MODELVIEW_STACK_DEPTH
	MODELVIEW                                     = C.GL_MODELVIEW
	MODULATE                                      = C.GL_MODULATE
	MULTISAMPLE_BIT                               = C.GL_MULTISAMPLE_BIT
	MULTISAMPLE                                   = C.GL_MULTISAMPLE
	MULT                                          = C.GL_MULT
	N3F_V3F                                       = C.GL_N3F_V3F
	NAME_STACK_DEPTH                              = C.GL_NAME_STACK_DEPTH
	NAND                                          = C.GL_NAND
	NEAREST_MIPMAP_LINEAR                         = C.GL_NEAREST_MIPMAP_LINEAR
	NEAREST_MIPMAP_NEAREST                        = C.GL_NEAREST_MIPMAP_NEAREST
	NEAREST                                       = C.GL_NEAREST
	NEVER                                         = C.GL_NEVER
	NICEST                                        = C.GL_NICEST
	NO_ERROR                                      = C.GL_NO_ERROR
	NONE                                          = C.GL_NONE
	NOOP                                          = C.GL_NOOP
	NORMAL_ARRAY_BUFFER_BINDING                   = C.GL_NORMAL_ARRAY_BUFFER_BINDING
	NORMAL_ARRAY_POINTER                          = C.GL_NORMAL_ARRAY_POINTER
	NORMAL_ARRAY_STRIDE                           = C.GL_NORMAL_ARRAY_STRIDE
	NORMAL_ARRAY_TYPE                             = C.GL_NORMAL_ARRAY_TYPE
	NORMAL_ARRAY                                  = C.GL_NORMAL_ARRAY
	NORMALIZE                                     = C.GL_NORMALIZE
	NORMAL_MAP                                    = C.GL_NORMAL_MAP
	NOR                                           = C.GL_NOR
	NOTEQUAL                                      = C.GL_NOTEQUAL
	NUM_COMPRESSED_TEXTURE_FORMATS                = C.GL_NUM_COMPRESSED_TEXTURE_FORMATS
	OBJECT_LINEAR                                 = C.GL_OBJECT_LINEAR
	OBJECT_PLANE                                  = C.GL_OBJECT_PLANE
	OBJECT_TYPE                                   = C.GL_OBJECT_TYPE
	ONE_MINUS_CONSTANT_ALPHA                      = C.GL_ONE_MINUS_CONSTANT_ALPHA
	ONE_MINUS_CONSTANT_COLOR                      = C.GL_ONE_MINUS_CONSTANT_COLOR
	ONE_MINUS_DST_ALPHA                           = C.GL_ONE_MINUS_DST_ALPHA
	ONE_MINUS_DST_COLOR                           = C.GL_ONE_MINUS_DST_COLOR
	ONE_MINUS_SRC_ALPHA                           = C.GL_ONE_MINUS_SRC_ALPHA
	ONE_MINUS_SRC_COLOR                           = C.GL_ONE_MINUS_SRC_COLOR
	ONE                                           = C.GL_ONE
	OPERAND0_ALPHA                                = C.GL_OPERAND0_ALPHA
	OPERAND0_RGB                                  = C.GL_OPERAND0_RGB
	OPERAND1_ALPHA                                = C.GL_OPERAND1_ALPHA
	OPERAND1_RGB                                  = C.GL_OPERAND1_RGB
	OPERAND2_ALPHA                                = C.GL_OPERAND2_ALPHA
	OPERAND2_RGB                                  = C.GL_OPERAND2_RGB
	ORDER                                         = C.GL_ORDER
	OR_INVERTED                                   = C.GL_OR_INVERTED
	OR_REVERSE                                    = C.GL_OR_REVERSE
	OR                                            = C.GL_OR
	OUT_OF_MEMORY                                 = C.GL_OUT_OF_MEMORY
	PACK_ALIGNMENT                                = C.GL_PACK_ALIGNMENT
	PACK_IMAGE_HEIGHT                             = C.GL_PACK_IMAGE_HEIGHT
	PACK_LSB_FIRST                                = C.GL_PACK_LSB_FIRST
	PACK_ROW_LENGTH                               = C.GL_PACK_ROW_LENGTH
	PACK_SKIP_IMAGES                              = C.GL_PACK_SKIP_IMAGES
	PACK_SKIP_PIXELS                              = C.GL_PACK_SKIP_PIXELS
	PACK_SKIP_ROWS                                = C.GL_PACK_SKIP_ROWS
	PACK_SWAP_BYTES                               = C.GL_PACK_SWAP_BYTES
	PASS_THROUGH_TOKEN                            = C.GL_PASS_THROUGH_TOKEN
	PERSPECTIVE_CORRECTION_HINT                   = C.GL_PERSPECTIVE_CORRECTION_HINT
	PIXEL_MAP_A_TO_A_SIZE                         = C.GL_PIXEL_MAP_A_TO_A_SIZE
	PIXEL_MAP_A_TO_A                              = C.GL_PIXEL_MAP_A_TO_A
	PIXEL_MAP_B_TO_B_SIZE                         = C.GL_PIXEL_MAP_B_TO_B_SIZE
	PIXEL_MAP_B_TO_B                              = C.GL_PIXEL_MAP_B_TO_B
	PIXEL_MAP_G_TO_G_SIZE                         = C.GL_PIXEL_MAP_G_TO_G_SIZE
	PIXEL_MAP_G_TO_G                              = C.GL_PIXEL_MAP_G_TO_G
	PIXEL_MAP_I_TO_A_SIZE                         = C.GL_PIXEL_MAP_I_TO_A_SIZE
	PIXEL_MAP_I_TO_A                              = C.GL_PIXEL_MAP_I_TO_A
	PIXEL_MAP_I_TO_B_SIZE                         = C.GL_PIXEL_MAP_I_TO_B_SIZE
	PIXEL_MAP_I_TO_B                              = C.GL_PIXEL_MAP_I_TO_B
	PIXEL_MAP_I_TO_G_SIZE                         = C.GL_PIXEL_MAP_I_TO_G_SIZE
	PIXEL_MAP_I_TO_G                              = C.GL_PIXEL_MAP_I_TO_G
	PIXEL_MAP_I_TO_I_SIZE                         = C.GL_PIXEL_MAP_I_TO_I_SIZE
	PIXEL_MAP_I_TO_I                              = C.GL_PIXEL_MAP_I_TO_I
	PIXEL_MAP_I_TO_R_SIZE                         = C.GL_PIXEL_MAP_I_TO_R_SIZE
	PIXEL_MAP_I_TO_R                              = C.GL_PIXEL_MAP_I_TO_R
	PIXEL_MAP_R_TO_R_SIZE                         = C.GL_PIXEL_MAP_R_TO_R_SIZE
	PIXEL_MAP_R_TO_R                              = C.GL_PIXEL_MAP_R_TO_R
	PIXEL_MAP_S_TO_S_SIZE                         = C.GL_PIXEL_MAP_S_TO_S_SIZE
	PIXEL_MAP_S_TO_S                              = C.GL_PIXEL_MAP_S_TO_S
	PIXEL_MODE_BIT                                = C.GL_PIXEL_MODE_BIT
	PIXEL_PACK_BUFFER_BINDING                     = C.GL_PIXEL_PACK_BUFFER_BINDING
	PIXEL_PACK_BUFFER                             = C.GL_PIXEL_PACK_BUFFER
	PIXEL_UNPACK_BUFFER_BINDING                   = C.GL_PIXEL_UNPACK_BUFFER_BINDING
	PIXEL_UNPACK_BUFFER                           = C.GL_PIXEL_UNPACK_BUFFER
	POINT_BIT                                     = C.GL_POINT_BIT
	POINT_DISTANCE_ATTENUATION                    = C.GL_POINT_DISTANCE_ATTENUATION
	POINT_FADE_THRESHOLD_SIZE                     = C.GL_POINT_FADE_THRESHOLD_SIZE
	POINT_SIZE_GRANULARITY                        = C.GL_POINT_SIZE_GRANULARITY
	POINT_SIZE_MAX                                = C.GL_POINT_SIZE_MAX
	POINT_SIZE_MIN                                = C.GL_POINT_SIZE_MIN
	POINT_SIZE_RANGE                              = C.GL_POINT_SIZE_RANGE
	POINT_SIZE                                    = C.GL_POINT_SIZE
	POINT_SMOOTH_HINT                             = C.GL_POINT_SMOOTH_HINT
	POINT_SMOOTH                                  = C.GL_POINT_SMOOTH
	POINT_SPRITE_COORD_ORIGIN                     = C.GL_POINT_SPRITE_COORD_ORIGIN
	POINT_SPRITE                                  = C.GL_POINT_SPRITE
	POINTS                                        = C.GL_POINTS
	POINT_TOKEN                                   = C.GL_POINT_TOKEN
	POINT                                         = C.GL_POINT
	POLYGON_BIT                                   = C.GL_POLYGON_BIT
	POLYGON_MODE                                  = C.GL_POLYGON_MODE
	POLYGON_OFFSET_FACTOR                         = C.GL_POLYGON_OFFSET_FACTOR
	POLYGON_OFFSET_FILL                           = C.GL_POLYGON_OFFSET_FILL
	POLYGON_OFFSET_LINE                           = C.GL_POLYGON_OFFSET_LINE
	POLYGON_OFFSET_POINT                          = C.GL_POLYGON_OFFSET_POINT
	POLYGON_OFFSET_UNITS                          = C.GL_POLYGON_OFFSET_UNITS
	POLYGON_SMOOTH_HINT                           = C.GL_POLYGON_SMOOTH_HINT
	POLYGON_SMOOTH                                = C.GL_POLYGON_SMOOTH
	POLYGON_STIPPLE_BIT                           = C.GL_POLYGON_STIPPLE_BIT
	POLYGON_STIPPLE                               = C.GL_POLYGON_STIPPLE
	POLYGON_TOKEN                                 = C.GL_POLYGON_TOKEN
	POLYGON                                       = C.GL_POLYGON
	POSITION                                      = C.GL_POSITION
	POST_COLOR_MATRIX_ALPHA_BIAS                  = C.GL_POST_COLOR_MATRIX_ALPHA_BIAS
	POST_COLOR_MATRIX_ALPHA_SCALE                 = C.GL_POST_COLOR_MATRIX_ALPHA_SCALE
	POST_COLOR_MATRIX_BLUE_BIAS                   = C.GL_POST_COLOR_MATRIX_BLUE_BIAS
	POST_COLOR_MATRIX_BLUE_SCALE                  = C.GL_POST_COLOR_MATRIX_BLUE_SCALE
	POST_COLOR_MATRIX_COLOR_TABLE                 = C.GL_POST_COLOR_MATRIX_COLOR_TABLE
	POST_COLOR_MATRIX_GREEN_BIAS                  = C.GL_POST_COLOR_MATRIX_GREEN_BIAS
	POST_COLOR_MATRIX_GREEN_SCALE                 = C.GL_POST_COLOR_MATRIX_GREEN_SCALE
	POST_COLOR_MATRIX_RED_BIAS                    = C.GL_POST_COLOR_MATRIX_RED_BIAS
	POST_COLOR_MATRIX_RED_SCALE                   = C.GL_POST_COLOR_MATRIX_RED_SCALE
	POST_CONVOLUTION_ALPHA_BIAS                   = C.GL_POST_CONVOLUTION_ALPHA_BIAS
	POST_CONVOLUTION_ALPHA_SCALE                  = C.GL_POST_CONVOLUTION_ALPHA_SCALE
	POST_CONVOLUTION_BLUE_BIAS                    = C.GL_POST_CONVOLUTION_BLUE_BIAS
	POST_CONVOLUTION_BLUE_SCALE                   = C.GL_POST_CONVOLUTION_BLUE_SCALE
	POST_CONVOLUTION_COLOR_TABLE                  = C.GL_POST_CONVOLUTION_COLOR_TABLE
	POST_CONVOLUTION_GREEN_BIAS                   = C.GL_POST_CONVOLUTION_GREEN_BIAS
	POST_CONVOLUTION_GREEN_SCALE                  = C.GL_POST_CONVOLUTION_GREEN_SCALE
	POST_CONVOLUTION_RED_BIAS                     = C.GL_POST_CONVOLUTION_RED_BIAS
	POST_CONVOLUTION_RED_SCALE                    = C.GL_POST_CONVOLUTION_RED_SCALE
	PREVIOUS                                      = C.GL_PREVIOUS
	PRIMARY_COLOR                                 = C.GL_PRIMARY_COLOR
	PRIMITIVE_RESTART_INDEX                       = C.GL_PRIMITIVE_RESTART_INDEX
	PRIMITIVE_RESTART                             = C.GL_PRIMITIVE_RESTART
	PRIMITIVES_GENERATED                          = C.GL_PRIMITIVES_GENERATED
	PROGRAM_POINT_SIZE                            = C.GL_PROGRAM_POINT_SIZE
	PROJECTION_MATRIX                             = C.GL_PROJECTION_MATRIX
	PROJECTION_STACK_DEPTH                        = C.GL_PROJECTION_STACK_DEPTH
	PROJECTION                                    = C.GL_PROJECTION
	PROVOKING_VERTEX                              = C.GL_PROVOKING_VERTEX
	PROXY_COLOR_TABLE                             = C.GL_PROXY_COLOR_TABLE
	PROXY_HISTOGRAM                               = C.GL_PROXY_HISTOGRAM
	PROXY_POST_COLOR_MATRIX_COLOR_TABLE           = C.GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE
	PROXY_POST_CONVOLUTION_COLOR_TABLE            = C.GL_PROXY_POST_CONVOLUTION_COLOR_TABLE
	PROXY_TEXTURE_1D_ARRAY                        = C.GL_PROXY_TEXTURE_1D_ARRAY
	PROXY_TEXTURE_1D                              = C.GL_PROXY_TEXTURE_1D
	PROXY_TEXTURE_2D_ARRAY                        = C.GL_PROXY_TEXTURE_2D_ARRAY
	PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY            = C.GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY
	PROXY_TEXTURE_2D_MULTISAMPLE                  = C.GL_PROXY_TEXTURE_2D_MULTISAMPLE
	PROXY_TEXTURE_2D                              = C.GL_PROXY_TEXTURE_2D
	PROXY_TEXTURE_3D                              = C.GL_PROXY_TEXTURE_3D
	PROXY_TEXTURE_CUBE_MAP_ARRAY                  = C.GL_PROXY_TEXTURE_CUBE_MAP_ARRAY
	PROXY_TEXTURE_CUBE_MAP                        = C.GL_PROXY_TEXTURE_CUBE_MAP
	PROXY_TEXTURE_RECTANGLE                       = C.GL_PROXY_TEXTURE_RECTANGLE
	QUADRATIC_ATTENUATION                         = C.GL_QUADRATIC_ATTENUATION
	QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION      = C.GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION
	QUAD_STRIP                                    = C.GL_QUAD_STRIP
	QUADS                                         = C.GL_QUADS
	QUERY_BY_REGION_NO_WAIT                       = C.GL_QUERY_BY_REGION_NO_WAIT
	QUERY_BY_REGION_WAIT                          = C.GL_QUERY_BY_REGION_WAIT
	QUERY_COUNTER_BITS                            = C.GL_QUERY_COUNTER_BITS
	QUERY_NO_WAIT                                 = C.GL_QUERY_NO_WAIT
	QUERY_RESULT_AVAILABLE                        = C.GL_QUERY_RESULT_AVAILABLE
	QUERY_RESULT                                  = C.GL_QUERY_RESULT
	QUERY_WAIT                                    = C.GL_QUERY_WAIT
	Q                                             = C.GL_Q
	R11F_G11F_B10F                                = C.GL_R11F_G11F_B10F
	R16F                                          = C.GL_R16F
	R16I                                          = C.GL_R16I
	R16_SNORM                                     = C.GL_R16_SNORM
	R16UI                                         = C.GL_R16UI
	R16                                           = C.GL_R16
	R32F                                          = C.GL_R32F
	R32I                                          = C.GL_R32I
	R32UI                                         = C.GL_R32UI
	R3_G3_B2                                      = C.GL_R3_G3_B2
	R8I                                           = C.GL_R8I
	R8_SNORM                                      = C.GL_R8_SNORM
	R8UI                                          = C.GL_R8UI
	R8                                            = C.GL_R8
	RASTERIZER_DISCARD                            = C.GL_RASTERIZER_DISCARD
	READ_BUFFER                                   = C.GL_READ_BUFFER
	READ_FRAMEBUFFER_BINDING                      = C.GL_READ_FRAMEBUFFER_BINDING
	READ_FRAMEBUFFER                              = C.GL_READ_FRAMEBUFFER
	READ_ONLY                                     = C.GL_READ_ONLY
	READ_WRITE                                    = C.GL_READ_WRITE
	RED_BIAS                                      = C.GL_RED_BIAS
	RED_BITS                                      = C.GL_RED_BITS
	RED_INTEGER                                   = C.GL_RED_INTEGER
	RED_SCALE                                     = C.GL_RED_SCALE
	RED_SNORM                                     = C.GL_RED_SNORM
	REDUCE                                        = C.GL_REDUCE
	RED                                           = C.GL_RED
	REFLECTION_MAP                                = C.GL_REFLECTION_MAP
	RENDERBUFFER_ALPHA_SIZE                       = C.GL_RENDERBUFFER_ALPHA_SIZE
	RENDERBUFFER_BINDING                          = C.GL_RENDERBUFFER_BINDING
	RENDERBUFFER_BLUE_SIZE                        = C.GL_RENDERBUFFER_BLUE_SIZE
	RENDERBUFFER_DEPTH_SIZE                       = C.GL_RENDERBUFFER_DEPTH_SIZE
	RENDERBUFFER_GREEN_SIZE                       = C.GL_RENDERBUFFER_GREEN_SIZE
	RENDERBUFFER_HEIGHT                           = C.GL_RENDERBUFFER_HEIGHT
	RENDERBUFFER_INTERNAL_FORMAT                  = C.GL_RENDERBUFFER_INTERNAL_FORMAT
	RENDERBUFFER_RED_SIZE                         = C.GL_RENDERBUFFER_RED_SIZE
	RENDERBUFFER_SAMPLES                          = C.GL_RENDERBUFFER_SAMPLES
	RENDERBUFFER_STENCIL_SIZE                     = C.GL_RENDERBUFFER_STENCIL_SIZE
	RENDERBUFFER_WIDTH                            = C.GL_RENDERBUFFER_WIDTH
	RENDERBUFFER                                  = C.GL_RENDERBUFFER
	RENDERER                                      = C.GL_RENDERER
	RENDER_MODE                                   = C.GL_RENDER_MODE
	RENDER                                        = C.GL_RENDER
	REND_screen_coordinates                       = C.GL_REND_screen_coordinates
	REPEAT                                        = C.GL_REPEAT
	REPLACE                                       = C.GL_REPLACE
	REPLICATE_BORDER                              = C.GL_REPLICATE_BORDER
	RESCALE_NORMAL                                = C.GL_RESCALE_NORMAL
	RETURN                                        = C.GL_RETURN
	RG16F                                         = C.GL_RG16F
	RG16I                                         = C.GL_RG16I
	RG16_SNORM                                    = C.GL_RG16_SNORM
	RG16UI                                        = C.GL_RG16UI
	RG16                                          = C.GL_RG16
	RG32F                                         = C.GL_RG32F
	RG32I                                         = C.GL_RG32I
	RG32UI                                        = C.GL_RG32UI
	RG8I                                          = C.GL_RG8I
	RG8_SNORM                                     = C.GL_RG8_SNORM
	RG8UI                                         = C.GL_RG8UI
	RG8                                           = C.GL_RG8
	RGB10_A2                                      = C.GL_RGB10_A2
	RGB10                                         = C.GL_RGB10
	RGB12                                         = C.GL_RGB12
	RGB16F                                        = C.GL_RGB16F
	RGB16I                                        = C.GL_RGB16I
	RGB16_SNORM                                   = C.GL_RGB16_SNORM
	RGB16UI                                       = C.GL_RGB16UI
	RGB16                                         = C.GL_RGB16
	RGB32F                                        = C.GL_RGB32F
	RGB32I                                        = C.GL_RGB32I
	RGB32UI                                       = C.GL_RGB32UI
	RGB4                                          = C.GL_RGB4
	RGB5_A1                                       = C.GL_RGB5_A1
	RGB5                                          = C.GL_RGB5
	RGB8I                                         = C.GL_RGB8I
	RGB8_SNORM                                    = C.GL_RGB8_SNORM
	RGB8UI                                        = C.GL_RGB8UI
	RGB8                                          = C.GL_RGB8
	RGB9_E5                                       = C.GL_RGB9_E5
	RGBA12                                        = C.GL_RGBA12
	RGBA16F                                       = C.GL_RGBA16F
	RGBA16I                                       = C.GL_RGBA16I
	RGBA16_SNORM                                  = C.GL_RGBA16_SNORM
	RGBA16UI                                      = C.GL_RGBA16UI
	RGBA16                                        = C.GL_RGBA16
	RGBA2                                         = C.GL_RGBA2
	RGBA32F                                       = C.GL_RGBA32F
	RGBA32I                                       = C.GL_RGBA32I
	RGBA32UI                                      = C.GL_RGBA32UI
	RGBA4                                         = C.GL_RGBA4
	RGBA8I                                        = C.GL_RGBA8I
	RGBA8_SNORM                                   = C.GL_RGBA8_SNORM
	RGBA8UI                                       = C.GL_RGBA8UI
	RGBA8                                         = C.GL_RGBA8
	RGBA_INTEGER                                  = C.GL_RGBA_INTEGER
	RGBA_MODE                                     = C.GL_RGBA_MODE
	RGBA_SNORM                                    = C.GL_RGBA_SNORM
	RGBA                                          = C.GL_RGBA
	RGB_INTEGER                                   = C.GL_RGB_INTEGER
	RGB_SCALE                                     = C.GL_RGB_SCALE
	RGB_SNORM                                     = C.GL_RGB_SNORM
	RGB                                           = C.GL_RGB
	RG_INTEGER                                    = C.GL_RG_INTEGER
	RG_SNORM                                      = C.GL_RG_SNORM
	RG                                            = C.GL_RG
	RIGHT                                         = C.GL_RIGHT
	R                                             = C.GL_R
	SAMPLE_ALPHA_TO_COVERAGE                      = C.GL_SAMPLE_ALPHA_TO_COVERAGE
	SAMPLE_ALPHA_TO_ONE                           = C.GL_SAMPLE_ALPHA_TO_ONE
	SAMPLE_BUFFERS                                = C.GL_SAMPLE_BUFFERS
	SAMPLE_COVERAGE_INVERT                        = C.GL_SAMPLE_COVERAGE_INVERT
	SAMPLE_COVERAGE_VALUE                         = C.GL_SAMPLE_COVERAGE_VALUE
	SAMPLE_COVERAGE                               = C.GL_SAMPLE_COVERAGE
	SAMPLE_MASK_VALUE                             = C.GL_SAMPLE_MASK_VALUE
	SAMPLE_MASK                                   = C.GL_SAMPLE_MASK
	SAMPLE_POSITION                               = C.GL_SAMPLE_POSITION
	SAMPLER_1D_ARRAY_SHADOW                       = C.GL_SAMPLER_1D_ARRAY_SHADOW
	SAMPLER_1D_ARRAY                              = C.GL_SAMPLER_1D_ARRAY
	SAMPLER_1D_SHADOW                             = C.GL_SAMPLER_1D_SHADOW
	SAMPLER_1D                                    = C.GL_SAMPLER_1D
	SAMPLER_2D_ARRAY_SHADOW                       = C.GL_SAMPLER_2D_ARRAY_SHADOW
	SAMPLER_2D_ARRAY                              = C.GL_SAMPLER_2D_ARRAY
	SAMPLER_2D_MULTISAMPLE_ARRAY                  = C.GL_SAMPLER_2D_MULTISAMPLE_ARRAY
	SAMPLER_2D_MULTISAMPLE                        = C.GL_SAMPLER_2D_MULTISAMPLE
	SAMPLER_2D_RECT_SHADOW                        = C.GL_SAMPLER_2D_RECT_SHADOW
	SAMPLER_2D_RECT                               = C.GL_SAMPLER_2D_RECT
	SAMPLER_2D_SHADOW                             = C.GL_SAMPLER_2D_SHADOW
	SAMPLER_2D                                    = C.GL_SAMPLER_2D
	SAMPLER_3D                                    = C.GL_SAMPLER_3D
	SAMPLER_BUFFER                                = C.GL_SAMPLER_BUFFER
	SAMPLER_CUBE_MAP_ARRAY_SHADOW                 = C.GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW
	SAMPLER_CUBE_MAP_ARRAY                        = C.GL_SAMPLER_CUBE_MAP_ARRAY
	SAMPLER_CUBE_SHADOW                           = C.GL_SAMPLER_CUBE_SHADOW
	SAMPLER_CUBE                                  = C.GL_SAMPLER_CUBE
	SAMPLE_SHADING                                = C.GL_SAMPLE_SHADING
	SAMPLES_PASSED                                = C.GL_SAMPLES_PASSED
	SAMPLES                                       = C.GL_SAMPLES
	SCISSOR_BIT                                   = C.GL_SCISSOR_BIT
	SCISSOR_BOX                                   = C.GL_SCISSOR_BOX
	SCISSOR_TEST                                  = C.GL_SCISSOR_TEST
	SCREEN_COORDINATES_REND                       = C.GL_SCREEN_COORDINATES_REND
	SECONDARY_COLOR_ARRAY_BUFFER_BINDING          = C.GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING
	SECONDARY_COLOR_ARRAY_POINTER                 = C.GL_SECONDARY_COLOR_ARRAY_POINTER
	SECONDARY_COLOR_ARRAY_SIZE                    = C.GL_SECONDARY_COLOR_ARRAY_SIZE
	SECONDARY_COLOR_ARRAY_STRIDE                  = C.GL_SECONDARY_COLOR_ARRAY_STRIDE
	SECONDARY_COLOR_ARRAY_TYPE                    = C.GL_SECONDARY_COLOR_ARRAY_TYPE
	SECONDARY_COLOR_ARRAY                         = C.GL_SECONDARY_COLOR_ARRAY
	SELECTION_BUFFER_POINTER                      = C.GL_SELECTION_BUFFER_POINTER
	SELECTION_BUFFER_SIZE                         = C.GL_SELECTION_BUFFER_SIZE
	SELECT                                        = C.GL_SELECT
	SEPARABLE_2D                                  = C.GL_SEPARABLE_2D
	SEPARATE_ATTRIBS                              = C.GL_SEPARATE_ATTRIBS
	SEPARATE_SPECULAR_COLOR                       = C.GL_SEPARATE_SPECULAR_COLOR
	SET                                           = C.GL_SET
	SHADE_MODEL                                   = C.GL_SHADE_MODEL
	SHADER_SOURCE_LENGTH                          = C.GL_SHADER_SOURCE_LENGTH
	SHADER_TYPE                                   = C.GL_SHADER_TYPE
	SHADING_LANGUAGE_VERSION                      = C.GL_SHADING_LANGUAGE_VERSION
	SHININESS                                     = C.GL_SHININESS
	SHORT                                         = C.GL_SHORT
	SIGNALED                                      = C.GL_SIGNALED
	SIGNED_NORMALIZED                             = C.GL_SIGNED_NORMALIZED
	SINGLE_COLOR                                  = C.GL_SINGLE_COLOR
	SLUMINANCE8_ALPHA8                            = C.GL_SLUMINANCE8_ALPHA8
	SLUMINANCE8                                   = C.GL_SLUMINANCE8
	SLUMINANCE_ALPHA                              = C.GL_SLUMINANCE_ALPHA
	SLUMINANCE                                    = C.GL_SLUMINANCE
	SMOOTH_LINE_WIDTH_GRANULARITY                 = C.GL_SMOOTH_LINE_WIDTH_GRANULARITY
	SMOOTH_LINE_WIDTH_RANGE                       = C.GL_SMOOTH_LINE_WIDTH_RANGE
	SMOOTH_POINT_SIZE_GRANULARITY                 = C.GL_SMOOTH_POINT_SIZE_GRANULARITY
	SMOOTH_POINT_SIZE_RANGE                       = C.GL_SMOOTH_POINT_SIZE_RANGE
	SMOOTH                                        = C.GL_SMOOTH
	SOURCE0_ALPHA                                 = C.GL_SOURCE0_ALPHA
	SOURCE0_RGB                                   = C.GL_SOURCE0_RGB
	SOURCE1_ALPHA                                 = C.GL_SOURCE1_ALPHA
	SOURCE1_RGB                                   = C.GL_SOURCE1_RGB
	SOURCE2_ALPHA                                 = C.GL_SOURCE2_ALPHA
	SOURCE2_RGB                                   = C.GL_SOURCE2_RGB
	SPECULAR                                      = C.GL_SPECULAR
	SPHERE_MAP                                    = C.GL_SPHERE_MAP
	SPOT_CUTOFF                                   = C.GL_SPOT_CUTOFF
	SPOT_DIRECTION                                = C.GL_SPOT_DIRECTION
	SPOT_EXPONENT                                 = C.GL_SPOT_EXPONENT
	SRC0_ALPHA                                    = C.GL_SRC0_ALPHA
	SRC0_RGB                                      = C.GL_SRC0_RGB
	SRC1_ALPHA                                    = C.GL_SRC1_ALPHA
	SRC1_RGB                                      = C.GL_SRC1_RGB
	SRC2_ALPHA                                    = C.GL_SRC2_ALPHA
	SRC2_RGB                                      = C.GL_SRC2_RGB
	SRC_ALPHA_SATURATE                            = C.GL_SRC_ALPHA_SATURATE
	SRC_ALPHA                                     = C.GL_SRC_ALPHA
	SRC_COLOR                                     = C.GL_SRC_COLOR
	SRGB8_ALPHA8                                  = C.GL_SRGB8_ALPHA8
	SRGB8                                         = C.GL_SRGB8
	SRGB_ALPHA                                    = C.GL_SRGB_ALPHA
	SRGB                                          = C.GL_SRGB
	STACK_OVERFLOW                                = C.GL_STACK_OVERFLOW
	STACK_UNDERFLOW                               = C.GL_STACK_UNDERFLOW
	STATIC_COPY                                   = C.GL_STATIC_COPY
	STATIC_DRAW                                   = C.GL_STATIC_DRAW
	STATIC_READ                                   = C.GL_STATIC_READ
	STENCIL_ATTACHMENT                            = C.GL_STENCIL_ATTACHMENT
	STENCIL_BACK_FAIL                             = C.GL_STENCIL_BACK_FAIL
	STENCIL_BACK_FUNC                             = C.GL_STENCIL_BACK_FUNC
	STENCIL_BACK_PASS_DEPTH_FAIL                  = C.GL_STENCIL_BACK_PASS_DEPTH_FAIL
	STENCIL_BACK_PASS_DEPTH_PASS                  = C.GL_STENCIL_BACK_PASS_DEPTH_PASS
	STENCIL_BACK_REF                              = C.GL_STENCIL_BACK_REF
	STENCIL_BACK_VALUE_MASK                       = C.GL_STENCIL_BACK_VALUE_MASK
	STENCIL_BACK_WRITEMASK                        = C.GL_STENCIL_BACK_WRITEMASK
	STENCIL_BITS                                  = C.GL_STENCIL_BITS
	STENCIL_BUFFER_BIT                            = C.GL_STENCIL_BUFFER_BIT
	STENCIL_BUFFER                                = C.GL_STENCIL_BUFFER
	STENCIL_CLEAR_VALUE                           = C.GL_STENCIL_CLEAR_VALUE
	STENCIL_FAIL                                  = C.GL_STENCIL_FAIL
	STENCIL_FUNC                                  = C.GL_STENCIL_FUNC
	STENCIL_INDEX16                               = C.GL_STENCIL_INDEX16
	STENCIL_INDEX1                                = C.GL_STENCIL_INDEX1
	STENCIL_INDEX4                                = C.GL_STENCIL_INDEX4
	STENCIL_INDEX8                                = C.GL_STENCIL_INDEX8
	STENCIL_INDEX                                 = C.GL_STENCIL_INDEX
	STENCIL_PASS_DEPTH_FAIL                       = C.GL_STENCIL_PASS_DEPTH_FAIL
	STENCIL_PASS_DEPTH_PASS                       = C.GL_STENCIL_PASS_DEPTH_PASS
	STENCIL_REF                                   = C.GL_STENCIL_REF
	STENCIL_TEST                                  = C.GL_STENCIL_TEST
	STENCIL_VALUE_MASK                            = C.GL_STENCIL_VALUE_MASK
	STENCIL_WRITEMASK                             = C.GL_STENCIL_WRITEMASK
	STENCIL                                       = C.GL_STENCIL
	STEREO                                        = C.GL_STEREO
	STREAM_COPY                                   = C.GL_STREAM_COPY
	STREAM_DRAW                                   = C.GL_STREAM_DRAW
	STREAM_READ                                   = C.GL_STREAM_READ
	SUBPIXEL_BITS                                 = C.GL_SUBPIXEL_BITS
	SUBTRACT                                      = C.GL_SUBTRACT
	SYNC_CONDITION                                = C.GL_SYNC_CONDITION
	SYNC_FENCE                                    = C.GL_SYNC_FENCE
	SYNC_FLAGS                                    = C.GL_SYNC_FLAGS
	SYNC_FLUSH_COMMANDS_BIT                       = C.GL_SYNC_FLUSH_COMMANDS_BIT
	SYNC_GPU_COMMANDS_COMPLETE                    = C.GL_SYNC_GPU_COMMANDS_COMPLETE
	SYNC_STATUS                                   = C.GL_SYNC_STATUS
	S                                             = C.GL_S
	T2F_C3F_V3F                                   = C.GL_T2F_C3F_V3F
	T2F_C4F_N3F_V3F                               = C.GL_T2F_C4F_N3F_V3F
	T2F_C4UB_V3F                                  = C.GL_T2F_C4UB_V3F
	T2F_N3F_V3F                                   = C.GL_T2F_N3F_V3F
	T2F_V3F                                       = C.GL_T2F_V3F
	T4F_C4F_N3F_V4F                               = C.GL_T4F_C4F_N3F_V4F
	T4F_V4F                                       = C.GL_T4F_V4F
	TABLE_TOO_LARGE                               = C.GL_TABLE_TOO_LARGE
	TEXTURE0                                      = C.GL_TEXTURE0
	TEXTURE10                                     = C.GL_TEXTURE10
	TEXTURE11                                     = C.GL_TEXTURE11
	TEXTURE12                                     = C.GL_TEXTURE12
	TEXTURE13                                     = C.GL_TEXTURE13
	TEXTURE14                                     = C.GL_TEXTURE14
	TEXTURE15                                     = C.GL_TEXTURE15
	TEXTURE16                                     = C.GL_TEXTURE16
	TEXTURE17                                     = C.GL_TEXTURE17
	TEXTURE18                                     = C.GL_TEXTURE18
	TEXTURE19                                     = C.GL_TEXTURE19
	TEXTURE_1D_ARRAY                              = C.GL_TEXTURE_1D_ARRAY
	TEXTURE_1D                                    = C.GL_TEXTURE_1D
	TEXTURE1                                      = C.GL_TEXTURE1
	TEXTURE20                                     = C.GL_TEXTURE20
	TEXTURE21                                     = C.GL_TEXTURE21
	TEXTURE22                                     = C.GL_TEXTURE22
	TEXTURE23                                     = C.GL_TEXTURE23
	TEXTURE24                                     = C.GL_TEXTURE24
	TEXTURE25                                     = C.GL_TEXTURE25
	TEXTURE26                                     = C.GL_TEXTURE26
	TEXTURE27                                     = C.GL_TEXTURE27
	TEXTURE28                                     = C.GL_TEXTURE28
	TEXTURE29                                     = C.GL_TEXTURE29
	TEXTURE_2D_ARRAY                              = C.GL_TEXTURE_2D_ARRAY
	TEXTURE_2D_MULTISAMPLE_ARRAY                  = C.GL_TEXTURE_2D_MULTISAMPLE_ARRAY
	TEXTURE_2D_MULTISAMPLE                        = C.GL_TEXTURE_2D_MULTISAMPLE
	TEXTURE_2D                                    = C.GL_TEXTURE_2D
	TEXTURE2                                      = C.GL_TEXTURE2
	TEXTURE30                                     = C.GL_TEXTURE30
	TEXTURE31                                     = C.GL_TEXTURE31
	TEXTURE_3D                                    = C.GL_TEXTURE_3D
	TEXTURE3                                      = C.GL_TEXTURE3
	TEXTURE4                                      = C.GL_TEXTURE4
	TEXTURE5                                      = C.GL_TEXTURE5
	TEXTURE6                                      = C.GL_TEXTURE6
	TEXTURE7                                      = C.GL_TEXTURE7
	TEXTURE8                                      = C.GL_TEXTURE8
	TEXTURE9                                      = C.GL_TEXTURE9
	TEXTURE_ALPHA_SIZE                            = C.GL_TEXTURE_ALPHA_SIZE
	TEXTURE_ALPHA_TYPE                            = C.GL_TEXTURE_ALPHA_TYPE
	TEXTURE_BASE_LEVEL                            = C.GL_TEXTURE_BASE_LEVEL
	TEXTURE_BINDING_1D_ARRAY                      = C.GL_TEXTURE_BINDING_1D_ARRAY
	TEXTURE_BINDING_1D                            = C.GL_TEXTURE_BINDING_1D
	TEXTURE_BINDING_2D_ARRAY                      = C.GL_TEXTURE_BINDING_2D_ARRAY
	TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY          = C.GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY
	TEXTURE_BINDING_2D_MULTISAMPLE                = C.GL_TEXTURE_BINDING_2D_MULTISAMPLE
	TEXTURE_BINDING_2D                            = C.GL_TEXTURE_BINDING_2D
	TEXTURE_BINDING_3D                            = C.GL_TEXTURE_BINDING_3D
	TEXTURE_BINDING_BUFFER                        = C.GL_TEXTURE_BINDING_BUFFER
	TEXTURE_BINDING_CUBE_MAP_ARRAY                = C.GL_TEXTURE_BINDING_CUBE_MAP_ARRAY
	TEXTURE_BINDING_CUBE_MAP                      = C.GL_TEXTURE_BINDING_CUBE_MAP
	TEXTURE_BINDING_RECTANGLE                     = C.GL_TEXTURE_BINDING_RECTANGLE
	TEXTURE_BIT                                   = C.GL_TEXTURE_BIT
	TEXTURE_BLUE_SIZE                             = C.GL_TEXTURE_BLUE_SIZE
	TEXTURE_BLUE_TYPE                             = C.GL_TEXTURE_BLUE_TYPE
	TEXTURE_BORDER_COLOR                          = C.GL_TEXTURE_BORDER_COLOR
	TEXTURE_BORDER                                = C.GL_TEXTURE_BORDER
	TEXTURE_BUFFER_DATA_STORE_BINDING             = C.GL_TEXTURE_BUFFER_DATA_STORE_BINDING
	TEXTURE_BUFFER_FORMAT                         = C.GL_TEXTURE_BUFFER_FORMAT
	TEXTURE_BUFFER                                = C.GL_TEXTURE_BUFFER
	TEXTURE_COMPARE_FUNC                          = C.GL_TEXTURE_COMPARE_FUNC
	TEXTURE_COMPARE_MODE                          = C.GL_TEXTURE_COMPARE_MODE
	TEXTURE_COMPONENTS                            = C.GL_TEXTURE_COMPONENTS
	TEXTURE_COMPRESSED_IMAGE_SIZE                 = C.GL_TEXTURE_COMPRESSED_IMAGE_SIZE
	TEXTURE_COMPRESSED                            = C.GL_TEXTURE_COMPRESSED
	TEXTURE_COMPRESSION_HINT                      = C.GL_TEXTURE_COMPRESSION_HINT
	TEXTURE_COORD_ARRAY_BUFFER_BINDING            = C.GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING
	TEXTURE_COORD_ARRAY_POINTER                   = C.GL_TEXTURE_COORD_ARRAY_POINTER
	TEXTURE_COORD_ARRAY_SIZE                      = C.GL_TEXTURE_COORD_ARRAY_SIZE
	TEXTURE_COORD_ARRAY_STRIDE                    = C.GL_TEXTURE_COORD_ARRAY_STRIDE
	TEXTURE_COORD_ARRAY_TYPE                      = C.GL_TEXTURE_COORD_ARRAY_TYPE
	TEXTURE_COORD_ARRAY                           = C.GL_TEXTURE_COORD_ARRAY
	TEXTURE_CUBE_MAP_ARRAY                        = C.GL_TEXTURE_CUBE_MAP_ARRAY
	TEXTURE_CUBE_MAP_NEGATIVE_X                   = C.GL_TEXTURE_CUBE_MAP_NEGATIVE_X
	TEXTURE_CUBE_MAP_NEGATIVE_Y                   = C.GL_TEXTURE_CUBE_MAP_NEGATIVE_Y
	TEXTURE_CUBE_MAP_NEGATIVE_Z                   = C.GL_TEXTURE_CUBE_MAP_NEGATIVE_Z
	TEXTURE_CUBE_MAP_POSITIVE_X                   = C.GL_TEXTURE_CUBE_MAP_POSITIVE_X
	TEXTURE_CUBE_MAP_POSITIVE_Y                   = C.GL_TEXTURE_CUBE_MAP_POSITIVE_Y
	TEXTURE_CUBE_MAP_POSITIVE_Z                   = C.GL_TEXTURE_CUBE_MAP_POSITIVE_Z
	TEXTURE_CUBE_MAP_SEAMLESS                     = C.GL_TEXTURE_CUBE_MAP_SEAMLESS
	TEXTURE_CUBE_MAP                              = C.GL_TEXTURE_CUBE_MAP
	TEXTURE_DEPTH_SIZE                            = C.GL_TEXTURE_DEPTH_SIZE
	TEXTURE_DEPTH_TYPE                            = C.GL_TEXTURE_DEPTH_TYPE
	TEXTURE_DEPTH                                 = C.GL_TEXTURE_DEPTH
	TEXTURE_ENV_COLOR                             = C.GL_TEXTURE_ENV_COLOR
	TEXTURE_ENV_MODE                              = C.GL_TEXTURE_ENV_MODE
	TEXTURE_ENV                                   = C.GL_TEXTURE_ENV
	TEXTURE_FILTER_CONTROL                        = C.GL_TEXTURE_FILTER_CONTROL
	TEXTURE_FIXED_SAMPLE_LOCATIONS                = C.GL_TEXTURE_FIXED_SAMPLE_LOCATIONS
	TEXTURE_GEN_MODE                              = C.GL_TEXTURE_GEN_MODE
	TEXTURE_GEN_Q                                 = C.GL_TEXTURE_GEN_Q
	TEXTURE_GEN_R                                 = C.GL_TEXTURE_GEN_R
	TEXTURE_GEN_S                                 = C.GL_TEXTURE_GEN_S
	TEXTURE_GEN_T                                 = C.GL_TEXTURE_GEN_T
	TEXTURE_GREEN_SIZE                            = C.GL_TEXTURE_GREEN_SIZE
	TEXTURE_GREEN_TYPE                            = C.GL_TEXTURE_GREEN_TYPE
	TEXTURE_HEIGHT                                = C.GL_TEXTURE_HEIGHT
	TEXTURE_INTENSITY_SIZE                        = C.GL_TEXTURE_INTENSITY_SIZE
	TEXTURE_INTENSITY_TYPE                        = C.GL_TEXTURE_INTENSITY_TYPE
	TEXTURE_INTERNAL_FORMAT                       = C.GL_TEXTURE_INTERNAL_FORMAT
	TEXTURE_LOD_BIAS                              = C.GL_TEXTURE_LOD_BIAS
	TEXTURE_LUMINANCE_SIZE                        = C.GL_TEXTURE_LUMINANCE_SIZE
	TEXTURE_LUMINANCE_TYPE                        = C.GL_TEXTURE_LUMINANCE_TYPE
	TEXTURE_MAG_FILTER                            = C.GL_TEXTURE_MAG_FILTER
	TEXTURE_MATRIX                                = C.GL_TEXTURE_MATRIX
	TEXTURE_MAX_LEVEL                             = C.GL_TEXTURE_MAX_LEVEL
	TEXTURE_MAX_LOD                               = C.GL_TEXTURE_MAX_LOD
	TEXTURE_MIN_FILTER                            = C.GL_TEXTURE_MIN_FILTER
	TEXTURE_MIN_LOD                               = C.GL_TEXTURE_MIN_LOD
	TEXTURE_PRIORITY                              = C.GL_TEXTURE_PRIORITY
	TEXTURE_RECTANGLE                             = C.GL_TEXTURE_RECTANGLE
	TEXTURE_RED_SIZE                              = C.GL_TEXTURE_RED_SIZE
	TEXTURE_RED_TYPE                              = C.GL_TEXTURE_RED_TYPE
	TEXTURE_RESIDENT                              = C.GL_TEXTURE_RESIDENT
	TEXTURE_SAMPLES                               = C.GL_TEXTURE_SAMPLES
	TEXTURE_SHARED_SIZE                           = C.GL_TEXTURE_SHARED_SIZE
	TEXTURE_STACK_DEPTH                           = C.GL_TEXTURE_STACK_DEPTH
	TEXTURE_STENCIL_SIZE                          = C.GL_TEXTURE_STENCIL_SIZE
	TEXTURE_WIDTH                                 = C.GL_TEXTURE_WIDTH
	TEXTURE_WRAP_R                                = C.GL_TEXTURE_WRAP_R
	TEXTURE_WRAP_S                                = C.GL_TEXTURE_WRAP_S
	TEXTURE_WRAP_T                                = C.GL_TEXTURE_WRAP_T
	TEXTURE                                       = C.GL_TEXTURE
	TIMEOUT_EXPIRED                               = C.GL_TIMEOUT_EXPIRED
	TIMEOUT_IGNORED                               = C.GL_TIMEOUT_IGNORED
	TIMESTAMP                                     = C.GL_TIMESTAMP
	TIME_ELAPSED                                  = C.GL_TIME_ELAPSED
	TRANSFORM_FEEDBACK                            = C.GL_TRANSFORM_FEEDBACK
	TRANSFORM_BIT                                 = C.GL_TRANSFORM_BIT
	TRANSFORM_FEEDBACK_BUFFER_BINDING             = C.GL_TRANSFORM_FEEDBACK_BUFFER_BINDING
	TRANSFORM_FEEDBACK_BUFFER_MODE                = C.GL_TRANSFORM_FEEDBACK_BUFFER_MODE
	TRANSFORM_FEEDBACK_BUFFER_SIZE                = C.GL_TRANSFORM_FEEDBACK_BUFFER_SIZE
	TRANSFORM_FEEDBACK_BUFFER_START               = C.GL_TRANSFORM_FEEDBACK_BUFFER_START
	TRANSFORM_FEEDBACK_BUFFER                     = C.GL_TRANSFORM_FEEDBACK_BUFFER
	TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN         = C.GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN
	TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH         = C.GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH
	TRANSFORM_FEEDBACK_VARYINGS                   = C.GL_TRANSFORM_FEEDBACK_VARYINGS
	TRANSPOSE_COLOR_MATRIX                        = C.GL_TRANSPOSE_COLOR_MATRIX
	TRANSPOSE_MODELVIEW_MATRIX                    = C.GL_TRANSPOSE_MODELVIEW_MATRIX
	TRANSPOSE_PROJECTION_MATRIX                   = C.GL_TRANSPOSE_PROJECTION_MATRIX
	TRANSPOSE_TEXTURE_MATRIX                      = C.GL_TRANSPOSE_TEXTURE_MATRIX
	TRIANGLE_FAN                                  = C.GL_TRIANGLE_FAN
	TRIANGLES_ADJACENCY                           = C.GL_TRIANGLES_ADJACENCY
	TRIANGLE_STRIP_ADJACENCY                      = C.GL_TRIANGLE_STRIP_ADJACENCY
	TRIANGLE_STRIP                                = C.GL_TRIANGLE_STRIP
	TRIANGLES                                     = C.GL_TRIANGLES
	TRUE                                          = C.GL_TRUE
	T                                             = C.GL_T
	UNIFORM_ARRAY_STRIDE                          = C.GL_UNIFORM_ARRAY_STRIDE
	UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES          = C.GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES
	UNIFORM_BLOCK_ACTIVE_UNIFORMS                 = C.GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS
	UNIFORM_BLOCK_BINDING                         = C.GL_UNIFORM_BLOCK_BINDING
	UNIFORM_BLOCK_DATA_SIZE                       = C.GL_UNIFORM_BLOCK_DATA_SIZE
	UNIFORM_BLOCK_INDEX                           = C.GL_UNIFORM_BLOCK_INDEX
	UNIFORM_BLOCK_NAME_LENGTH                     = C.GL_UNIFORM_BLOCK_NAME_LENGTH
	UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER   = C.GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER
	UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER   = C.GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER
	UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER     = C.GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER
	UNIFORM_BUFFER_BINDING                        = C.GL_UNIFORM_BUFFER_BINDING
	UNIFORM_BUFFER_OFFSET_ALIGNMENT               = C.GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT
	UNIFORM_BUFFER_SIZE                           = C.GL_UNIFORM_BUFFER_SIZE
	UNIFORM_BUFFER_START                          = C.GL_UNIFORM_BUFFER_START
	UNIFORM_BUFFER                                = C.GL_UNIFORM_BUFFER
	UNIFORM_IS_ROW_MAJOR                          = C.GL_UNIFORM_IS_ROW_MAJOR
	UNIFORM_MATRIX_STRIDE                         = C.GL_UNIFORM_MATRIX_STRIDE
	UNIFORM_NAME_LENGTH                           = C.GL_UNIFORM_NAME_LENGTH
	UNIFORM_OFFSET                                = C.GL_UNIFORM_OFFSET
	UNIFORM_SIZE                                  = C.GL_UNIFORM_SIZE
	UNIFORM_TYPE                                  = C.GL_UNIFORM_TYPE
	UNPACK_ALIGNMENT                              = C.GL_UNPACK_ALIGNMENT
	UNPACK_IMAGE_HEIGHT                           = C.GL_UNPACK_IMAGE_HEIGHT
	UNPACK_LSB_FIRST                              = C.GL_UNPACK_LSB_FIRST
	UNPACK_ROW_LENGTH                             = C.GL_UNPACK_ROW_LENGTH
	UNPACK_SKIP_IMAGES                            = C.GL_UNPACK_SKIP_IMAGES
	UNPACK_SKIP_PIXELS                            = C.GL_UNPACK_SKIP_PIXELS
	UNPACK_SKIP_ROWS                              = C.GL_UNPACK_SKIP_ROWS
	UNPACK_SWAP_BYTES                             = C.GL_UNPACK_SWAP_BYTES
	UNSIGNALED                                    = C.GL_UNSIGNALED
	UNSIGNED_BYTE_2_3_3_REV                       = C.GL_UNSIGNED_BYTE_2_3_3_REV
	UNSIGNED_BYTE_3_3_2                           = C.GL_UNSIGNED_BYTE_3_3_2
	UNSIGNED_BYTE                                 = C.GL_UNSIGNED_BYTE
	UNSIGNED_INT_10_10_10_2                       = C.GL_UNSIGNED_INT_10_10_10_2
	UNSIGNED_INT_10F_11F_11F_REV                  = C.GL_UNSIGNED_INT_10F_11F_11F_REV
	UNSIGNED_INT_2_10_10_10_REV                   = C.GL_UNSIGNED_INT_2_10_10_10_REV
	UNSIGNED_INT_24_8                             = C.GL_UNSIGNED_INT_24_8
	UNSIGNED_INT_5_9_9_9_REV                      = C.GL_UNSIGNED_INT_5_9_9_9_REV
	UNSIGNED_INT_8_8_8_8_REV                      = C.GL_UNSIGNED_INT_8_8_8_8_REV
	UNSIGNED_INT_8_8_8_8                          = C.GL_UNSIGNED_INT_8_8_8_8
	UNSIGNED_INT_SAMPLER_1D_ARRAY                 = C.GL_UNSIGNED_INT_SAMPLER_1D_ARRAY
	UNSIGNED_INT_SAMPLER_1D                       = C.GL_UNSIGNED_INT_SAMPLER_1D
	UNSIGNED_INT_SAMPLER_2D_ARRAY                 = C.GL_UNSIGNED_INT_SAMPLER_2D_ARRAY
	UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY     = C.GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY
	UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE           = C.GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE
	UNSIGNED_INT_SAMPLER_2D_RECT                  = C.GL_UNSIGNED_INT_SAMPLER_2D_RECT
	UNSIGNED_INT_SAMPLER_2D                       = C.GL_UNSIGNED_INT_SAMPLER_2D
	UNSIGNED_INT_SAMPLER_3D                       = C.GL_UNSIGNED_INT_SAMPLER_3D
	UNSIGNED_INT_SAMPLER_BUFFER                   = C.GL_UNSIGNED_INT_SAMPLER_BUFFER
	UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY           = C.GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY
	UNSIGNED_INT_SAMPLER_CUBE                     = C.GL_UNSIGNED_INT_SAMPLER_CUBE
	UNSIGNED_INT_VEC2                             = C.GL_UNSIGNED_INT_VEC2
	UNSIGNED_INT_VEC3                             = C.GL_UNSIGNED_INT_VEC3
	UNSIGNED_INT_VEC4                             = C.GL_UNSIGNED_INT_VEC4
	UNSIGNED_INT                                  = C.GL_UNSIGNED_INT
	UNSIGNED_NORMALIZED                           = C.GL_UNSIGNED_NORMALIZED
	UNSIGNED_SHORT_1_5_5_5_REV                    = C.GL_UNSIGNED_SHORT_1_5_5_5_REV
	UNSIGNED_SHORT_4_4_4_4_REV                    = C.GL_UNSIGNED_SHORT_4_4_4_4_REV
	UNSIGNED_SHORT_4_4_4_4                        = C.GL_UNSIGNED_SHORT_4_4_4_4
	UNSIGNED_SHORT_5_5_5_1                        = C.GL_UNSIGNED_SHORT_5_5_5_1
	UNSIGNED_SHORT_5_6_5_REV                      = C.GL_UNSIGNED_SHORT_5_6_5_REV
	UNSIGNED_SHORT_5_6_5                          = C.GL_UNSIGNED_SHORT_5_6_5
	UNSIGNED_SHORT                                = C.GL_UNSIGNED_SHORT
	UPPER_LEFT                                    = C.GL_UPPER_LEFT
	V2F                                           = C.GL_V2F
	V3F                                           = C.GL_V3F
	VALIDATE_STATUS                               = C.GL_VALIDATE_STATUS
	VENDOR                                        = C.GL_VENDOR
	VERSION_1_1                                   = C.GL_VERSION_1_1
	VERSION_1_2                                   = C.GL_VERSION_1_2
	VERSION_1_3                                   = C.GL_VERSION_1_3
	VERSION_1_4                                   = C.GL_VERSION_1_4
	VERSION_1_5                                   = C.GL_VERSION_1_5
	VERSION_2_0                                   = C.GL_VERSION_2_0
	VERSION_2_1                                   = C.GL_VERSION_2_1
	VERSION_3_0                                   = C.GL_VERSION_3_0
	VERSION_3_1                                   = C.GL_VERSION_3_1
	VERSION_3_2                                   = C.GL_VERSION_3_2
	VERSION                                       = C.GL_VERSION
	VERTEX_ARRAY_BINDING                          = C.GL_VERTEX_ARRAY_BINDING
	VERTEX_ARRAY_BUFFER_BINDING                   = C.GL_VERTEX_ARRAY_BUFFER_BINDING
	VERTEX_ARRAY_POINTER                          = C.GL_VERTEX_ARRAY_POINTER
	VERTEX_ARRAY_SIZE                             = C.GL_VERTEX_ARRAY_SIZE
	VERTEX_ARRAY_STRIDE                           = C.GL_VERTEX_ARRAY_STRIDE
	VERTEX_ARRAY_TYPE                             = C.GL_VERTEX_ARRAY_TYPE
	VERTEX_ARRAY                                  = C.GL_VERTEX_ARRAY
	VERTEX_ATTRIB_ARRAY_BUFFER_BINDING            = C.GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING
	VERTEX_ATTRIB_ARRAY_ENABLED                   = C.GL_VERTEX_ATTRIB_ARRAY_ENABLED
	VERTEX_ATTRIB_ARRAY_INTEGER                   = C.GL_VERTEX_ATTRIB_ARRAY_INTEGER
	VERTEX_ATTRIB_ARRAY_NORMALIZED                = C.GL_VERTEX_ATTRIB_ARRAY_NORMALIZED
	VERTEX_ATTRIB_ARRAY_POINTER                   = C.GL_VERTEX_ATTRIB_ARRAY_POINTER
	VERTEX_ATTRIB_ARRAY_SIZE                      = C.GL_VERTEX_ATTRIB_ARRAY_SIZE
	VERTEX_ATTRIB_ARRAY_STRIDE                    = C.GL_VERTEX_ATTRIB_ARRAY_STRIDE
	VERTEX_ATTRIB_ARRAY_TYPE                      = C.GL_VERTEX_ATTRIB_ARRAY_TYPE
	VERTEX_PROGRAM_POINT_SIZE                     = C.GL_VERTEX_PROGRAM_POINT_SIZE
	VERTEX_PROGRAM_TWO_SIDE                       = C.GL_VERTEX_PROGRAM_TWO_SIDE
	VERTEX_SHADER                                 = C.GL_VERTEX_SHADER
	VIEWPORT_BIT                                  = C.GL_VIEWPORT_BIT
	VIEWPORT                                      = C.GL_VIEWPORT
	WAIT_FAILED                                   = C.GL_WAIT_FAILED
	WEIGHT_ARRAY_BUFFER_BINDING                   = C.GL_WEIGHT_ARRAY_BUFFER_BINDING
	WRITE_ONLY                                    = C.GL_WRITE_ONLY
	XOR                                           = C.GL_XOR
	ZERO                                          = C.GL_ZERO
	ZOOM_X                                        = C.GL_ZOOM_X
	ZOOM_Y                                        = C.GL_ZOOM_Y
)
